err = {
    0: 'Error in Processing Request. ',
    1000: '',  # error code added for customized error messages
    1001: 'Required argument(s) missing in request url. ',
    1002: 'One or more argument missing in request url. ',
    1003: 'Database Connection Failed.',
    1004: 'No record found for the given parameters. ',
    1005: 'Could not fetch details for label printing.',
    1006: 'Required input arguments dict is empty.',
    # 1007: 'Required fields list is empty.',
    1008: 'Input JSON not in valid format.',
    1009: 'Input Dates not in proper format.',
    1010: 'Date not in expected (mm-dd-yy) format.',
    1011: 'Invalid type.',
    1012: 'Invalid Data Type.',
    1013: 'Document Update Conflict. ',
    1014: 'Invalid System ID or Pack ID(s).',
    1015: 'Invalid System ID or Robot ID(s).',
    1016: 'Invalid Company ID or File ID(s).',
    1017: 'Invalid Drug ID(s).',
    1018: 'Invalid System ID or Canister ID(s).',
    1019: 'Duplicate Data ',
    1020: 'Invalid Data. ',
    1021: 'Already registered with other system.',
    1022: 'Invalid RFID.',
    1023: 'Error in validating RFID.',
    1024: 'Duplicate RFID.',
    1025: 'Invalid Technician ID.',
    1026: 'Invalid Company ID or Pack ID(s).',
    1027: 'Error in updating slot data. Data already exists. ',
    1028: 'Duplicate serial number.',
    1029: 'Rule already exists.',
    1030: 'Mft drug already reported ',
    1031: 'Canister already present in robot. It cannot replace.',
    1032: 'No canister available for given RFID.',
    1033: 'Invalid Company ID or Device ID(s).',
    1034: 'Invalid Company ID or Batch-Distribution Id.',
    1035: 'Please send valid value in key: ',
    1036: 'Error while updating drug stock status.',
    1037: 'Scanned NDC does not matches with Selected Drug.',
    1038: 'Invalid canister_id ',
    1039: 'Invalid company_id or system_id.',
    1040: 'Error while inserting session data.',
    1041: 'Canister is already removed, are you sure you want to replace?',
    1042: 'Canister is in Reserved Canisters list, Unable to Deactivate',
    1043: "Kindly scan the correct pack to get reusable drugs.",
    2000: 'Pack-Pre-Precessing API is in Progress ',
    2001: 'Internal SQL Error. ',
    2002: 'Duplicate keys for PrimaryKeyField detected.',
    # 2003: 'Integrity Error. Primary Key already exists.',
    2004: 'Real time database name fetching failed.',
    2005: 'Real time database update failed. ',
    2006: 'Error while generating canister label.',
    2007: 'Multiple entries for the key ',
    2008: 'Batch distribution API failed, there is no packs found for given argument',
    2009: "Another user has initiated the process. Please wait till the process gets completed.",
    3001: 'Error occurred during file processing. ',
    3002: 'File name already exists.',
    3003: 'Location is disabled.',
    3004: 'Remove canister before disabling location.',
    3005: 'Location(s) is/are already disabled.',
    3006: 'Canister is not present in target robot.',
    3007: 'Invalid serial number.',
    3009: 'Invalid location or device_id.',
    3010: 'No canister present at given location.',
    3011: 'The destination where file is to be moved does not exists. ',
    3012: 'Deactivated canister scanned.',
    3013: 'Updated quantity is same as the quantity in canister. Please verify.',
    3014: 'Invalid NDC corresponding to the Canister ID',
    3015: 'Invalid status_id code for the Canister Testing',
    3016: 'Invalid Company ID or Canister ID',
    3017: "Error in fetching empty locations",
    3018: 'Invalid canister type',
    3019: 'Canister Type cannot be changed',
    3020: "The required canister_stick_id is missing for the given canister.",
    3021: "Given Canister is already discarded.",
    3022: "Given Canister is not expired.",
    4001: 'Invalid args error from Inventory-db ',
    4002: 'Data not found for given parameters error from Inventory-db ',
    4003: 'Could not connect to Inventory-db ',
    4004: 'Unexpected status code from Inventory-db ',
    4005: 'Invalid response from Inventory-db ',
    5001: 'Template(s) for this patient is already present. Take necessary action(s) for them before'
          ' saving/processing this template.',
    5002: 'The template is already modified by other user.',
    5003: 'Template already Processed or Rolled Back.',
    5004: 'One or more Template(s) already processed.',
    5005: 'Invalid template_ids or company_id.',
    5006: "Error while fetching user_info based on technician_user_name.",
    5007: 'Error in pack deletion/ template rollback for pack_display_id(s): ',
    5008: 'Invalid pack_display_id(s)',
    5010: "Database connection Error before file saved.",
    5011: "File already exists for the given filename.",
    5012: "Invalid Prescription. ",
    5013: "Couldn't upload file to Google Cloud Storage.",
    5014: "Error while saving file data. ",
    5015: "Database connection issue occurred after file saved in DB and Cloud.",
    5016: "File processing failed.",
    5017: "Error while processing prescription.",
    5018: "Invalid token.",
    5019: "Error in fetching user info based on token.",
    5020: "Packs can’t be marked as done as they are in progress in dosepack. Ref. pack_display_id(s) : ",
    5021: "Invalid template_id.",
    5022: "Invaid file type or content type",
    6001: 'System Settings Missing.',
    6002: 'No printer found.',
    6003: "Couldn't find label info",
    7001: 'Pharmacy Software Data Update Failed. ',
    7002: "Couldn't connect to Pharmacy Software.",
    7003: "Pack is already marked as filled from Pharmacy software",
    7005: "Pending Mfd Transfers or Filling",
    7006: "Some packs are assigned to Robot, Please retry",
    # 8001: 'Access token not present in request headers.',
    # 8002: 'Access token is expired.',
    # 8003: 'Error in validating access token',
    8004: "Error in getting existing user's data.",
    8006: "Invalid verification status from remote technician.",
    9001: 'Serial Number does not exist.',
    # 9002: 'Incorrect drug for given serial number.',
    # 9003: 'Drug is not present in given lot.',
    9004: 'New Data matrix is not required for given lot.',
    9005: 'Scanned value is not in correct format.',
    # 9006: 'Bottle with given id not found.',
    # 9007: 'Updated quantity cannot be greater than original quantity.',
    # 9008: 'Updated quantity of the bottle cannot be less than 0.',
    9009: 'Lot is already recalled. No bottle can be added for the same.',
    9010: 'Given Serial Number already exists.',
    9011: 'Data Matrix is not in proper format.',
    9012: 'Given id does not exists.',
    9013: 'Invalid data. Please scan the correct drug bottle.',
    9014: 'Invalid unit_weight.',
    9015: 'Error in saving/updating Calibration data',
    9017: 'Invalid NDC.',
    9016: 'Dimensions are not available for the given drug. Kindly measure the dimension of the drug to '
          'proceed further.',
    9018: 'No data available for the scanned drug.',
    9019: 'The dimensions of the scanned drug is not verified yet. Kindly verify it from Drug Dimension Master to '
          'proceed further.',
    9020: 'The dimensions of the scanned drug has been rejected. Kindly measure the dimensions and verify it from '
          'Drug Dimension Master to proceed further.',
    9021: 'Invalid Scanned NDC.',
    9022: 'Alternate Drug is not allowed. Please scan the Original Drug.',
    9023: 'Scanned drug is branded. Please scan another drug bottle.',
    9024: 'Scanned Drug is not active drug.',
    9025: 'Drug is already marked as filled.',
    9026: 'Drug to be filled is branded. No alternate drug is allowed.',

    10001: 'Minimum length required for canister is 4.5 mm.',
    10002: 'Maximum length required for canister is 22.5 mm.',
    10003: 'Minimum width required for canister is 2.5 mm.',
    10004: 'Maximum width required for canister is 11.5 mm.',
    10005: 'Minimum depth required for canister is 2.4 mm.',
    10006: 'Maximum depth required for canister is 10 mm.',
    9050: 'Invalid Zone ID for Company ID.',
    9051: 'Invalid device layout IDs present for the zone.',
    9052: 'A device already registered with this device id.',
    # 9053: 'A device with the same name is already present in this zone.',
    9054: 'Unregistered device.',
    9055: 'Drug count is greater than available CSR locations. Please reduce the drug count.',
    9056: 'Given big canisters count is greater than available big canisters locations.',
    9057: 'Given small canisters count is greater than available small canisters locations.',
    9058: 'Could not connect to Hardware.',
    9059: 'Invalid Device ID(s) or Company Id.',
    9060: 'No empty location available for the scanned canister. Please contact support.',
    # 9061: 'Invalid station_type or device is not registered.',
    9062: 'Invalid station_type or station_id or device is not registered.',
    9063: 'No container data available for given station_type and station_id.',
    9064: 'Invalid trolley_id.',
    9065: 'Invalid drawer_id.',
    9066: 'Transfer cycle already assigned to this batch.',
    9067: 'Some canisters from previous batch are present inside the recommended trolley. Kindly transfer them in the '
          'Canister Storage Rack through Scan and Place flow to proceed further.',
    # 11001: 'Server Error: Unable to process the selected template(s). Kindly contact support.',
    11002: 'Couch db update failed. ',
    12001: 'No more pending drugs available to link images.',
    13001: "No manual canisters available for given device_id.",
    13002: "Complete the previous transaction.",
    13003: "Drop pending for given data.",
    13004: "Batch already assigned to user.",
    13005: "Waiting for trolley to be empty.",
    13006: "MFD canisters exceed active MFD locations limit.",
    13007: "RTS pending.",
    13008: "Error in updating MFD Transfer Status.",
    13009: "Some canisters are yet to be filled. Please wait for it to be completed or assign it to another user.",
    13010: "Error in updating Mfd trolley sequence. Please contact support.",
    13011: "Error in updating couchdb for changing trolley sequence. Please contact support",
    13012: "Error in updating Mfd trolley sequence. Length of data does not match. Please contact support.",
    13013: "Error in updating Mfd trolley sequence. Incorrect order no. Please contact support.",
    13014: "Error in updating Mfd trolley sequence. Some Packs went in progress while changing sequence. Please Retry",
    14001: "No replenishment require currently",
    14002: "No imported batch available in given system.",
    14003: "No packs in given system.",
    14004: "Canister Transfer flow is in progress for Batch ID and System: ",
    14005: "Guided Replenish flow is in progress for current queue.",
    14006: "Please wait until the current batch is completed successfully.",
    14007: "Total drug quantity in canister is more than canister capacity.",
    14008: "Invalid batch id",
    14009: "MFD filling for some packs is done. Are you sure you want to revert the pending packs that have unfilled MFD Canisters ?",
    14010: "Selected packs are in progress.",
    14011: "Selected pack(s) of the patient(s) have few packs in Progress state. Are you sure you want to revert the pending packs of other patients ?",
    14012: "The current batch will not be reverted as MFD filling for those packs has already been completed.",
    14013: "The The Current Queue will not be reverted as the MFD filling of the same patient(s) is in a progress state.",
    14014: "Same patient(s) pending and progress packs will not be reverted. ",
    14015: "Kindly Import the Batch to fetch the list of skipped canisters.",
    14016: "Invalid guided transfer cycle id",
    14017: "Kindly import the batch to start Manual Canister Fill Flow.",
    14018: "Woohoo! You've processed all packs in the queue. Kindly import new packs to the queue from pack pre-processing screen.",
    # 15000 series is occupied for Vial semi automation. Please avoid using it.
    16001: "No more replenish info available to adjust this quantity.",
    20001: "Failed to fetch the token from the ElitePBM server.",
    20002: "Error while communicating with the ElitePBM server.",
    20003: "Invalid facility_dist_id for the given company_id.",
    20004: "Invalid unique_id.",
    20005: "Data doesn't exist for the facility_dist_id: ",
    20006: "Authentication token is missing.",
    20007: "Empty order data received.",
    20008: "Error in the pre ordered data.",
    20009: "BackEnd Error or Exception from ElitePBM.",
    20010: "Validation Error raised from ElitePBM.",
    20011: "Invalid TimeZone Error.",
    20012: "The CompanySetting Table has the value missing for the parameter name: ",
    20013: "The SystemSetting Table has the values missing for all the systems in the requested system_id_list: ",
    20014: "The update completed successfully except for the below NDC(s), where the same NDC points to "
           "different TXR values.",
    21000: "No templates Found to process ChangeRx.",
    21001: "Internal Error while Processing ChangeRx.",
    21002: "Invalid API Call.",
    # 21003: "Scanned Drug Bottle is Expired, kindly scan another Bottle.",
    21003: "Incorrect format of Expiry_date",
    21004: "fill_data is None",
    21006: "Some packs from selected packs has their MFD canister filled from pack queue. Please RTS those canisters "
           "to proceed further.",
    21005: "MFD filling is in progress for the packs(s): ",
    21007: "canister and products received in arguments are not in database",
    21008: "Testing of scanned canister is pending for product_id: ",
    21009: "No Pending trolleys found.",
    21010: "Scanned pack can not be used to fill the new pack.",
    21011: "Scanned pack drug(s) do not matches with the new pack drug(s).",
    21012: "Error in filling prescription. Please retry and if problem persists contact support.",
    21013: "Kindly scan valid canister for change ndc",
    21014: "Drug is not used in batch",
    21015: "Scanned Pack has some expired drugs kindly discard them",
    21016: "Incorrect Pack ID scanned",
    21017: "Min Consumption start date of the patient is passed",
    21018: "Pack found but patient is on hold: ",
    21019: "Pack is no longer available for checking since it's been delivered.",
    21020: "Error in sending pack fill details to IPS",
    21021: "Error in sending inventory fill details to IPS"
}
