import csv

registered_canister_object = [{'drug_name': 'DIVALPROEX SODIUM ER', 'ndc': '65162075750', 'strength': 'mg', 'formatted_ndc': '651620757', 'txr': '46315', 'strength_value': '500', 'image_name': 'AMN07570.JPG', 'required_quantity': 294.0, 'imprint': 'AN 757', 'shape': 'oblong', 'color': 'white', 'drug_id': 118882, 'canister_quantity': 1}, {'drug_name': 'LORAZEPAM', 'ndc': '69315090510', 'strength': 'mg', 'formatted_ndc': '693150905', 'txr': '3758', 'strength_value': '1', 'image_name': 'MJR60080.JPG', 'required_quantity': 140.0, 'imprint': 'EP 905 <> 1', 'shape': 'round', 'color': 'white', 'drug_id': 117527, 'canister_quantity': 1}, {'drug_name': 'FEROSUL', 'ndc': '00904759183', 'strength': '(65 mg iron)', 'formatted_ndc': '009047591', 'txr': '1645', 'strength_value': '325 mg', 'image_name': None, 'required_quantity': 154.0, 'imprint': None, 'shape': None, 'color': None, 'drug_id': 19030, 'canister_quantity': 1}, {'drug_name': 'LATUDA', 'ndc': '63402030801', 'strength': 'mg', 'formatted_ndc': '634020308', 'txr': '66933', 'strength_value': '80', 'image_name': 'SUO03080.JPG', 'required_quantity': 84.0, 'imprint': 'L 80', 'shape': 'oval', 'color': 'pale green', 'drug_id': 97983, 'canister_quantity': 1}, {'drug_name': 'TAMSULOSIN HCL', 'ndc': '57237001405', 'strength': 'mg', 'formatted_ndc': '572370014', 'txr': '27546', 'strength_value': '0.4', 'image_name': 'AUR05980.JPG', 'required_quantity': 56.0, 'imprint': 'D <> 53', 'shape': 'oblong', 'color': 'orange', 'drug_id': 106426, 'canister_quantity': 1}, {'drug_name': 'OMEPRAZOLE', 'ndc': '60505006508', 'strength': 'mg', 'formatted_ndc': '605050065', 'txr': '33530', 'strength_value': '20', 'image_name': 'ATX00650.JPG', 'required_quantity': 56.0, 'imprint': 'APO <> 020', 'shape': 'oblong', 'color': 'pink', 'drug_id': 76420, 'canister_quantity': 1}, {'drug_name': 'TRAZODONE HCL', 'ndc': '50111044102', 'strength': 'mg', 'formatted_ndc': '501110441', 'txr': '46243', 'strength_value': '150', 'image_name': 'PLV04411.JPG', 'required_quantity': 84.0, 'imprint': 'PLIVA 441 <> 50 50 50', 'shape': 'trapezoidal', 'color': 'white', 'drug_id': 51802, 'canister_quantity': 1}, {'drug_name': 'SERTRALINE HCL', 'ndc': '68180035309', 'strength': 'mg', 'formatted_ndc': '681800353', 'txr': '46229', 'strength_value': '100', 'image_name': 'LUP03530.JPG', 'required_quantity': 28.0, 'imprint': 'L U <> D03', 'shape': 'oblong', 'color': 'yellow', 'drug_id': 95356, 'canister_quantity': 1}, {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '67877024710', 'strength': 'mg', 'formatted_ndc': '678770247', 'txr': '47198', 'strength_value': '300', 'image_name': 'ASC02470.JPG', 'required_quantity': 42.0, 'imprint': '259', 'shape': 'oblong', 'color': 'white', 'drug_id': 118893, 'canister_quantity': 1}, {'drug_name': 'GABAPENTIN', 'ndc': '67877022310', 'strength': 'mg', 'formatted_ndc': '678770223', 'txr': '21414', 'strength_value': '300', 'image_name': 'ASC02230.JPG', 'required_quantity': 56.0, 'imprint': '215', 'shape': 'oblong', 'color': 'yellow', 'drug_id': 90068, 'canister_quantity': 1}, {'drug_name': 'ALENDRONATE SODIUM', 'ndc': '69097022476', 'strength': 'mg', 'formatted_ndc': '690970224', 'txr': '46941', 'strength_value': '70', 'image_name': 'CIP02240.JPG', 'required_quantity': 4.0, 'imprint': 'C224', 'shape': 'oblong', 'color': 'white', 'drug_id': 119248, 'canister_quantity': 2}, {'drug_name': 'ALENDRONATE SODIUM', 'ndc': '69097022476', 'strength': 'mg', 'formatted_ndc': '690970224', 'txr': '46941', 'strength_value': '70', 'image_name': 'CIP02240.JPG', 'required_quantity': 4.0, 'imprint': 'C224', 'shape': 'oblong', 'color': 'white', 'drug_id': 119248, 'canister_quantity': 2}, {'drug_name': 'ONE DAILY MULTIVITAMIN', 'ndc': '57896053110', 'strength': '', 'formatted_ndc': '578960531', 'txr': '2508', 'strength_value': '', 'image_name': None, 'required_quantity': 42.0, 'imprint': None, 'shape': None, 'color': None, 'drug_id': 159723, 'canister_quantity': 1}]


names = ['register_analysis']

for num,date in enumerate([registered_canister_object]):
    date_name = names[num]
    file_name = date_name+'.csv'
    with open(file_name, 'wb') as output:
        writer = csv.writer(output)
        for drug_entry in date:
            drug_row = [drug_entry["drug_name"], drug_entry["formatted_ndc"], drug_entry["canister_quantity"]]
            print(drug_entry)
            writer.writerow(drug_row)