import csv

September_19 = [
    {'drug_name': 'ASPIRIN EC', 'ndc': '00603002632', 'strength': 'mg', 'formatted_ndc': '006030026', 'txr': '16995',
     'strength_value': '81', 'image_name': 'QLT00260.JPG', 'required_quantity': 252.0, 'imprint': 'A', 'shape': 'round',
     'color': 'yellow', 'drug_id': 15237, 'canister_quantity': 1},
    {'drug_name': 'MULTIVITAMINS', 'ndc': '00536404610', 'strength': '', 'formatted_ndc': '005364046', 'txr': '2532',
     'strength_value': '', 'image_name': 'RUG40460.JPG', 'required_quantity': 196.0, 'imprint': None, 'shape': 'oval',
     'color': 'red', 'drug_id': 127580, 'canister_quantity': 1},
    {'drug_name': 'FEROSUL', 'ndc': '00904759183', 'strength': '(65 mg iron)', 'formatted_ndc': '009047591',
     'txr': '1645', 'strength_value': '325 mg', 'image_name': None, 'required_quantity': 252.0, 'imprint': None,
     'shape': None, 'color': None, 'drug_id': 19030, 'canister_quantity': 1},
    {'drug_name': 'OMEPRAZOLE', 'ndc': '60505006508', 'strength': 'mg', 'formatted_ndc': '605050065', 'txr': '33530',
     'strength_value': '20', 'image_name': 'ATX00650.JPG', 'required_quantity': 126.0, 'imprint': 'APO <> 020',
     'shape': 'oblong', 'color': 'pink', 'drug_id': 76420, 'canister_quantity': 1},
    {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg', 'formatted_ndc': '690970128',
     'txr': '16927', 'strength_value': '10', 'image_name': 'CIP01280.JPG', 'required_quantity': 126.0,
     'imprint': '128 <> C', 'shape': 'round', 'color': 'white', 'drug_id': 112190, 'canister_quantity': 2},
    {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg', 'formatted_ndc': '690970128',
     'txr': '16927', 'strength_value': '10', 'image_name': 'CIP01280.JPG', 'required_quantity': 126.0,
     'imprint': '128 <> C', 'shape': 'round', 'color': 'white', 'drug_id': 112190, 'canister_quantity': 2},
    {'drug_name': 'CLOPIDOGREL', 'ndc': '16729021816', 'strength': 'mg', 'formatted_ndc': '167290218', 'txr': '38164',
     'strength_value': '75', 'image_name': 'ACI02180.JPG', 'required_quantity': 70.0, 'imprint': 'CI', 'shape': 'round',
     'color': 'pink', 'drug_id': 32058, 'canister_quantity': 1},
    {'drug_name': 'OYSTER SHELL CALCIUM', 'ndc': '00904188392', 'strength': '(1,250 mg)', 'formatted_ndc': '009041883',
     'txr': '1340', 'strength_value': '500 mg calcium', 'image_name': 'ABC12345.JPG', 'required_quantity': 140.0,
     'imprint': None, 'shape': 'oblong', 'color': 'light green', 'drug_id': 19938, 'canister_quantity': 1},
    {'drug_name': 'ESCITALOPRAM OXALATE', 'ndc': '00378385693', 'strength': 'mg', 'formatted_ndc': '003783856',
     'txr': '50712', 'strength_value': '10', 'image_name': 'MYN38560.JPG', 'required_quantity': 84.0,
     'imprint': 'M <> EC 10', 'shape': 'round', 'color': 'white', 'drug_id': 11286, 'canister_quantity': 1},
    {'drug_name': 'VITAMIN D', 'ndc': '00536379001', 'strength': 'unit', 'formatted_ndc': '005363790', 'txr': '64176',
     'strength_value': '2,000', 'image_name': 'RUG37900.JPG', 'required_quantity': 112.0, 'imprint': None,
     'shape': 'oval', 'color': 'yellow', 'drug_id': 13824, 'canister_quantity': 1},
    {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012615', 'strength': 'mg', 'formatted_ndc': '690970126',
     'txr': '16925', 'strength_value': '2.5', 'image_name': 'CIP01260.JPG', 'required_quantity': 70.0,
     'imprint': '126 <> C', 'shape': 'round', 'color': 'white', 'drug_id': 112186, 'canister_quantity': 1},
    {'drug_name': 'ATORVASTATIN CALCIUM', 'ndc': '60505258009', 'strength': 'mg', 'formatted_ndc': '605052580',
     'txr': '29969', 'strength_value': '40', 'image_name': 'ATX25800.JPG', 'required_quantity': 70.0,
     'imprint': 'APO <> ATV40', 'shape': 'oval', 'color': 'white', 'drug_id': 76708, 'canister_quantity': 1},
    {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00781518192', 'strength': 'mcg', 'formatted_ndc': '007815181',
     'txr': '6649', 'strength_value': '50', 'image_name': 'SDZ51810.JPG', 'required_quantity': 70.0,
     'imprint': '50 <> GG 332', 'shape': 'oblong', 'color': 'white', 'drug_id': 18235, 'canister_quantity': 1},
    {'drug_name': 'FLUOXETINE HCL', 'ndc': '65862019299', 'strength': 'mg', 'formatted_ndc': '658620192',
     'txr': '46213', 'strength_value': '10', 'image_name': 'AUR01920.JPG', 'required_quantity': 98.0,
     'imprint': 'E <> 88', 'shape': 'oblong', 'color': 'green', 'drug_id': 85330, 'canister_quantity': 2},
    {'drug_name': 'FLUOXETINE HCL', 'ndc': '65862019299', 'strength': 'mg', 'formatted_ndc': '658620192',
     'txr': '46213', 'strength_value': '10', 'image_name': 'AUR01920.JPG', 'required_quantity': 98.0,
     'imprint': 'E <> 88', 'shape': 'oblong', 'color': 'green', 'drug_id': 85330, 'canister_quantity': 2},
    {'drug_name': 'SENNA LAXATIVE', 'ndc': '49781014851', 'strength': 'MG', 'formatted_ndc': '497810148',
     'txr': '19964', 'strength_value': '8.6', 'image_name': 'ABC00463.JPG', 'required_quantity': 140.0,
     'imprint': 'TCL 080', 'shape': 'round', 'color': 'light brown', 'drug_id': 127581, 'canister_quantity': 1},
    {'drug_name': 'DOK', 'ndc': '00904645780', 'strength': 'mg', 'formatted_ndc': '009046457', 'txr': '3009',
     'strength_value': '100', 'image_name': 'CVS31040.JPG', 'required_quantity': 46.0, 'imprint': 'P51',
     'shape': 'oval', 'color': 'orange', 'drug_id': 111782, 'canister_quantity': 2},
    {'drug_name': 'DOK', 'ndc': '00904645780', 'strength': 'mg', 'formatted_ndc': '009046457', 'txr': '3009',
     'strength_value': '100', 'image_name': 'CVS31040.JPG', 'required_quantity': 46.0, 'imprint': 'P51',
     'shape': 'oval', 'color': 'orange', 'drug_id': 111782, 'canister_quantity': 2},
    {'drug_name': 'METOPROLOL SUCCINATE', 'ndc': '62037083010', 'strength': 'mg', 'formatted_ndc': '620370830',
     'txr': '47586', 'strength_value': '25', 'image_name': 'SDZ08300.JPG', 'required_quantity': 70.0,
     'imprint': 'logo and M', 'shape': 'oblong', 'color': 'white', 'drug_id': 78579, 'canister_quantity': 1},
    {'drug_name': 'ATORVASTATIN CALCIUM', 'ndc': '00378395309', 'strength': 'mg', 'formatted_ndc': '003783953',
     'txr': '45772', 'strength_value': '80', 'image_name': 'MYN39530.JPG', 'required_quantity': 56.0, 'imprint': '80',
     'shape': 'oval', 'color': 'white', 'drug_id': 122158, 'canister_quantity': 2},
    {'drug_name': 'ATORVASTATIN CALCIUM', 'ndc': '00378395309', 'strength': 'mg', 'formatted_ndc': '003783953',
     'txr': '45772', 'strength_value': '80', 'image_name': 'MYN39530.JPG', 'required_quantity': 56.0, 'imprint': '80',
     'shape': 'oval', 'color': 'white', 'drug_id': 122158, 'canister_quantity': 2},
    {'drug_name': 'VITAMIN D3', 'ndc': '00904598660', 'strength': 'unit', 'formatted_ndc': '009045986', 'txr': '12016',
     'strength_value': '5,000', 'image_name': 'MJR59860.JPG', 'required_quantity': 70.0, 'imprint': None,
     'shape': 'oblong', 'color': 'clear', 'drug_id': 18905, 'canister_quantity': 1},
    {'drug_name': 'CARBIDOPA-LEVODOPA', 'ndc': '62756051888', 'strength': 'mg', 'formatted_ndc': '627560518',
     'txr': '2538', 'strength_value': '25-100', 'image_name': 'SUN05180.JPG', 'required_quantity': 112.0,
     'imprint': '518', 'shape': 'oval', 'color': 'yellow', 'drug_id': 79030, 'canister_quantity': 1},
    {'drug_name': 'FUROSEMIDE', 'ndc': '69315011710', 'strength': 'mg', 'formatted_ndc': '693150117', 'txr': '8209',
     'strength_value': '40', 'image_name': 'AHP00160.JPG', 'required_quantity': 56.0, 'imprint': 'EP 117 <> 40',
     'shape': 'round', 'color': 'white', 'drug_id': 117505, 'canister_quantity': 1},
    {'drug_name': 'DIVALPROEX SODIUM ER', 'ndc': '65162075750', 'strength': 'mg', 'formatted_ndc': '651620757',
     'txr': '46315', 'strength_value': '500', 'image_name': 'AMN07570.JPG', 'required_quantity': 196.0,
     'imprint': 'AN 757', 'shape': 'oblong', 'color': 'white', 'drug_id': 118882, 'canister_quantity': 1},
    {'drug_name': 'GABAPENTIN', 'ndc': '67877022310', 'strength': 'mg', 'formatted_ndc': '678770223', 'txr': '21414',
     'strength_value': '300', 'image_name': 'ASC02230.JPG', 'required_quantity': 154.0, 'imprint': '215',
     'shape': 'oblong', 'color': 'yellow', 'drug_id': 90068, 'canister_quantity': 1},
    {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00527134110', 'strength': 'mcg', 'formatted_ndc': '005271341',
     'txr': '6648', 'strength_value': '25', 'image_name': 'WTS09020.JPG', 'required_quantity': 42.0,
     'imprint': 'JSP <> 513', 'shape': 'round', 'color': 'peach', 'drug_id': 13581, 'canister_quantity': 1},
    {'drug_name': 'ARIPIPRAZOLE', 'ndc': '31722083030', 'strength': 'mg', 'formatted_ndc': '317220830', 'txr': '51336',
     'strength_value': '30', 'image_name': 'CBR08300.JPG', 'required_quantity': 42.0, 'imprint': 'I <> 99',
     'shape': 'round', 'color': 'light pink', 'drug_id': 111453, 'canister_quantity': 1},
    {'drug_name': 'GLIPIZIDE', 'ndc': '60505014208', 'strength': 'mg', 'formatted_ndc': '605050142', 'txr': '1776',
     'strength_value': '10', 'image_name': None, 'required_quantity': 70.0, 'imprint': None, 'shape': None,
     'color': None, 'drug_id': 76487, 'canister_quantity': 2},
    {'drug_name': 'GLIPIZIDE', 'ndc': '60505014208', 'strength': 'mg', 'formatted_ndc': '605050142', 'txr': '1776',
     'strength_value': '10', 'image_name': None, 'required_quantity': 70.0, 'imprint': None, 'shape': None,
     'color': None, 'drug_id': 76487, 'canister_quantity': 2},
    {'drug_name': 'HYDRALAZINE HCL', 'ndc': '31722052010', 'strength': 'mg', 'formatted_ndc': '317220520', 'txr': '286',
     'strength_value': '25', 'image_name': 'CBR05200.JPG', 'required_quantity': 70.0, 'imprint': 'H <> 39',
     'shape': 'round', 'color': 'orange', 'drug_id': 35848, 'canister_quantity': 1},
    {'drug_name': 'LORAZEPAM', 'ndc': '69315090410', 'strength': 'mg', 'formatted_ndc': '693150904', 'txr': '3757',
     'strength_value': '0.5', 'image_name': 'MJR60070.JPG', 'required_quantity': 56.0, 'imprint': 'EP 904',
     'shape': 'round', 'color': 'white', 'drug_id': 117524, 'canister_quantity': 1},
    {'drug_name': 'LISINOPRIL', 'ndc': '68180098003', 'strength': 'mg', 'formatted_ndc': '681800980', 'txr': '390',
     'strength_value': '10', 'image_name': 'LUP05140.JPG', 'required_quantity': 42.0, 'imprint': 'LUPIN <> 10',
     'shape': 'round', 'color': 'pink', 'drug_id': 126626, 'canister_quantity': 1},
    {'drug_name': 'PHENOBARBITAL', 'ndc': '00603516632', 'strength': 'mg', 'formatted_ndc': '006035166', 'txr': '27611',
     'strength_value': '32.4', 'image_name': 'VTG50120.JPG', 'required_quantity': 98.0, 'imprint': '5012 V',
     'shape': 'round', 'color': 'white', 'drug_id': 15846, 'canister_quantity': 1},
    {'drug_name': 'LORAZEPAM', 'ndc': '69315090510', 'strength': 'mg', 'formatted_ndc': '693150905', 'txr': '3758',
     'strength_value': '1', 'image_name': 'MJR60080.JPG', 'required_quantity': 70.0, 'imprint': 'EP 905 <> 1',
     'shape': 'round', 'color': 'white', 'drug_id': 117527, 'canister_quantity': 1},
    {'drug_name': 'VITAMIN B COMPLEX', 'ndc': '54629056001', 'strength': '', 'formatted_ndc': '546290560',
     'txr': '2064', 'strength_value': '', 'image_name': None, 'required_quantity': 28.0, 'imprint': None, 'shape': None,
     'color': None, 'drug_id': 158806, 'canister_quantity': 2},
    {'drug_name': 'VITAMIN B COMPLEX', 'ndc': '54629056001', 'strength': '', 'formatted_ndc': '546290560',
     'txr': '2064', 'strength_value': '', 'image_name': None, 'required_quantity': 28.0, 'imprint': None, 'shape': None,
     'color': None, 'drug_id': 158806, 'canister_quantity': 2},
    {'drug_name': 'CARVEDILOL', 'ndc': '65862014205', 'strength': 'mg', 'formatted_ndc': '658620142', 'txr': '28108',
     'strength_value': '3.125', 'image_name': 'AUR01420.JPG', 'required_quantity': 84.0, 'imprint': 'E <> 01',
     'shape': 'oval', 'color': 'white', 'drug_id': 85263, 'canister_quantity': 2},
    {'drug_name': 'CARVEDILOL', 'ndc': '65862014205', 'strength': 'mg', 'formatted_ndc': '658620142', 'txr': '28108',
     'strength_value': '3.125', 'image_name': 'AUR01420.JPG', 'required_quantity': 84.0, 'imprint': 'E <> 01',
     'shape': 'oval', 'color': 'white', 'drug_id': 85263, 'canister_quantity': 2},
    {'drug_name': 'BANOPHEN', 'ndc': '00904530680', 'strength': 'mg', 'formatted_ndc': '009045306', 'txr': '11582',
     'strength_value': '25', 'image_name': 'CPC08350.JPG', 'required_quantity': 56.0, 'imprint': 'CPC <> 835',
     'shape': 'oblong', 'color': 'pink', 'drug_id': 18594, 'canister_quantity': 1},
    {'drug_name': 'QUETIAPINE FUMARATE ER', 'ndc': '68180061607', 'strength': 'MG', 'formatted_ndc': '681800616',
     'txr': '62750', 'strength_value': '400', 'image_name': None, 'required_quantity': 56.0, 'imprint': 'LU <> K75',
     'shape': 'oblong', 'color': 'white', 'drug_id': 127609, 'canister_quantity': 1},
    {'drug_name': 'LOSARTAN POTASSIUM', 'ndc': '65862020299', 'strength': 'mg', 'formatted_ndc': '658620202',
     'txr': '23382', 'strength_value': '50', 'image_name': 'AUR02021.JPG', 'required_quantity': 42.0,
     'imprint': 'E <> 46', 'shape': 'oval', 'color': 'green', 'drug_id': 85350, 'canister_quantity': 1},
    {'drug_name': 'POTASSIUM CHLORIDE', 'ndc': '00781572010', 'strength': 'mEq', 'formatted_ndc': '007815720',
     'txr': '22346', 'strength_value': '20', 'image_name': 'TEV53110.JPG', 'required_quantity': 42.0,
     'imprint': 'US 20', 'shape': 'oblong', 'color': 'white', 'drug_id': 18394, 'canister_quantity': 1},
    {'drug_name': 'METFORMIN HCL ER', 'ndc': '62756014202', 'strength': 'mg', 'formatted_ndc': '627560142',
     'txr': '46754', 'strength_value': '500', 'image_name': 'SUN01420.JPG', 'required_quantity': 126.0,
     'imprint': '142', 'shape': 'oblong', 'color': 'white', 'drug_id': 78946, 'canister_quantity': 1},
    {'drug_name': 'HYDROCHLOROTHIAZIDE', 'ndc': '29300013010', 'strength': 'mg', 'formatted_ndc': '293000130',
     'txr': '29832', 'strength_value': '12.5', 'image_name': 'UCP01300.JPG', 'required_quantity': 28.0,
     'imprint': 'U <> 130', 'shape': 'oblong', 'color': 'white', 'drug_id': 35464, 'canister_quantity': 2},
    {'drug_name': 'HYDROCHLOROTHIAZIDE', 'ndc': '29300013010', 'strength': 'mg', 'formatted_ndc': '293000130',
     'txr': '29832', 'strength_value': '12.5', 'image_name': 'UCP01300.JPG', 'required_quantity': 28.0,
     'imprint': 'U <> 130', 'shape': 'oblong', 'color': 'white', 'drug_id': 35464, 'canister_quantity': 2},
    {'drug_name': 'GLIPIZIDE', 'ndc': '00591046010', 'strength': 'mg', 'formatted_ndc': '005910460', 'txr': '1777',
     'strength_value': '5', 'image_name': 'WTS04600.JPG', 'required_quantity': 28.0, 'imprint': 'WATSON 460',
     'shape': 'round', 'color': 'white', 'drug_id': 14640, 'canister_quantity': 2},
    {'drug_name': 'GLIPIZIDE', 'ndc': '00591046010', 'strength': 'mg', 'formatted_ndc': '005910460', 'txr': '1777',
     'strength_value': '5', 'image_name': 'WTS04600.JPG', 'required_quantity': 28.0, 'imprint': 'WATSON 460',
     'shape': 'round', 'color': 'white', 'drug_id': 14640, 'canister_quantity': 2},
    {'drug_name': 'FLUOXETINE HCL', 'ndc': '62332002430', 'strength': 'mg', 'formatted_ndc': '623320024',
     'txr': '46215', 'strength_value': '40', 'image_name': 'ALE00240.JPG', 'required_quantity': 56.0,
     'imprint': '40 <> A107', 'shape': 'oblong', 'color': 'light blue', 'drug_id': 123339, 'canister_quantity': 1},
    {'drug_name': 'ALENDRONATE SODIUM', 'ndc': '69097022476', 'strength': 'mg', 'formatted_ndc': '690970224',
     'txr': '46941', 'strength_value': '70', 'image_name': 'CIP02240.JPG', 'required_quantity': 4.0, 'imprint': 'C224',
     'shape': 'oblong', 'color': 'white', 'drug_id': 119248, 'canister_quantity': 2},
    {'drug_name': 'ALENDRONATE SODIUM', 'ndc': '69097022476', 'strength': 'mg', 'formatted_ndc': '690970224',
     'txr': '46941', 'strength_value': '70', 'image_name': 'CIP02240.JPG', 'required_quantity': 4.0, 'imprint': 'C224',
     'shape': 'oblong', 'color': 'white', 'drug_id': 119248, 'canister_quantity': 2},
    {'drug_name': 'PRAMIPEXOLE DIHYDROCHLORIDE', 'ndc': '68382019816', 'strength': 'mg', 'formatted_ndc': '683820198',
     'txr': '39100', 'strength_value': '0.5', 'image_name': 'ZYD01980.JPG', 'required_quantity': 28.0, 'imprint': 'P 3',
     'shape': 'oblong', 'color': 'lavender', 'drug_id': 92851, 'canister_quantity': 2},
    {'drug_name': 'PRAMIPEXOLE DIHYDROCHLORIDE', 'ndc': '68382019816', 'strength': 'mg', 'formatted_ndc': '683820198',
     'txr': '39100', 'strength_value': '0.5', 'image_name': 'ZYD01980.JPG', 'required_quantity': 28.0, 'imprint': 'P 3',
     'shape': 'oblong', 'color': 'lavender', 'drug_id': 92851, 'canister_quantity': 2},
    {'drug_name': 'ARIPIPRAZOLE', 'ndc': '65162089709', 'strength': 'mg', 'formatted_ndc': '651620897', 'txr': '52898',
     'strength_value': '5', 'image_name': 'AMN08970.JPG', 'required_quantity': 28.0, 'imprint': 'AN897 5',
     'shape': 'rectangular', 'color': 'blue', 'drug_id': 120797, 'canister_quantity': 2},
    {'drug_name': 'ARIPIPRAZOLE', 'ndc': '65162089709', 'strength': 'mg', 'formatted_ndc': '651620897', 'txr': '52898',
     'strength_value': '5', 'image_name': 'AMN08970.JPG', 'required_quantity': 28.0, 'imprint': 'AN897 5',
     'shape': 'rectangular', 'color': 'blue', 'drug_id': 120797, 'canister_quantity': 2},
    {'drug_name': 'HALOPERIDOL', 'ndc': '00781139213', 'strength': 'mg', 'formatted_ndc': '007811392', 'txr': '3973',
     'strength_value': '1', 'image_name': 'GGG13920.JPG', 'required_quantity': 98.0, 'imprint': '123 <> GG',
     'shape': 'round', 'color': 'yellow', 'drug_id': 17758, 'canister_quantity': 1},
    {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '67877024710', 'strength': 'mg', 'formatted_ndc': '678770247',
     'txr': '47198', 'strength_value': '300', 'image_name': 'ASC02470.JPG', 'required_quantity': 28.0, 'imprint': '259',
     'shape': 'oblong', 'color': 'white', 'drug_id': 118893, 'canister_quantity': 1},
    {'drug_name': 'PROPRANOLOL HCL', 'ndc': '00115166201', 'strength': 'mg', 'formatted_ndc': '001151662',
     'txr': '5127', 'strength_value': '80', 'image_name': 'SEI07600.JPG', 'required_quantity': 42.0,
     'imprint': '80 <> DAN 5557', 'shape': 'round', 'color': 'yellow', 'drug_id': 125583, 'canister_quantity': 2},
    {'drug_name': 'PROPRANOLOL HCL', 'ndc': '00115166201', 'strength': 'mg', 'formatted_ndc': '001151662',
     'txr': '5127', 'strength_value': '80', 'image_name': 'SEI07600.JPG', 'required_quantity': 42.0,
     'imprint': '80 <> DAN 5557', 'shape': 'round', 'color': 'yellow', 'drug_id': 125583, 'canister_quantity': 2},
    {'drug_name': 'SERTRALINE HCL', 'ndc': '68180035309', 'strength': 'mg', 'formatted_ndc': '681800353',
     'txr': '46229', 'strength_value': '100', 'image_name': 'LUP03530.JPG', 'required_quantity': 28.0,
     'imprint': 'L U <> D03', 'shape': 'oblong', 'color': 'yellow', 'drug_id': 95356, 'canister_quantity': 1},
    {'drug_name': 'CARBIDOPA-LEVODOPA ER', 'ndc': '62756046188', 'strength': 'mg', 'formatted_ndc': '627560461',
     'txr': '19563', 'strength_value': '25-100', 'image_name': 'SUN04610.JPG', 'required_quantity': 140.0,
     'imprint': '461', 'shape': 'oval', 'color': 'buff', 'drug_id': 79020, 'canister_quantity': 2},
    {'drug_name': 'CARBIDOPA-LEVODOPA ER', 'ndc': '62756046188', 'strength': 'mg', 'formatted_ndc': '627560461',
     'txr': '19563', 'strength_value': '25-100', 'image_name': 'SUN04610.JPG', 'required_quantity': 140.0,
     'imprint': '461', 'shape': 'oval', 'color': 'buff', 'drug_id': 79020, 'canister_quantity': 2},
    {'drug_name': 'ESCITALOPRAM OXALATE', 'ndc': '16729016817', 'strength': 'mg', 'formatted_ndc': '167290168',
     'txr': '51642', 'strength_value': '5', 'image_name': 'ACI01680.JPG', 'required_quantity': 28.0, 'imprint': '5',
     'shape': 'round', 'color': 'white', 'drug_id': 32045, 'canister_quantity': 2},
    {'drug_name': 'ESCITALOPRAM OXALATE', 'ndc': '16729016817', 'strength': 'mg', 'formatted_ndc': '167290168',
     'txr': '51642', 'strength_value': '5', 'image_name': 'ACI01680.JPG', 'required_quantity': 28.0, 'imprint': '5',
     'shape': 'round', 'color': 'white', 'drug_id': 32045, 'canister_quantity': 2},
    {'drug_name': 'CALCIUM 600 + VIT D', 'ndc': '00904585692', 'strength': '-200 unit', 'formatted_ndc': '009045856',
     'txr': '43733', 'strength_value': '600 mg(1,500mg)', 'image_name': 'CYP01210.JPG', 'required_quantity': 28.0,
     'imprint': None, 'shape': 'oblong', 'color': 'peach', 'drug_id': 18868, 'canister_quantity': 2},
    {'drug_name': 'CALCIUM 600 + VIT D', 'ndc': '00904585692', 'strength': '-200 unit', 'formatted_ndc': '009045856',
     'txr': '43733', 'strength_value': '600 mg(1,500mg)', 'image_name': 'CYP01210.JPG', 'required_quantity': 28.0,
     'imprint': None, 'shape': 'oblong', 'color': 'peach', 'drug_id': 18868, 'canister_quantity': 2},
    {'drug_name': 'PENTOXIFYLLINE', 'ndc': '60505003308', 'strength': 'mg', 'formatted_ndc': '605050033', 'txr': '6573',
     'strength_value': '400', 'image_name': 'ATX03300.JPG', 'required_quantity': 42.0, 'imprint': 'APO 033',
     'shape': 'oval', 'color': 'white', 'drug_id': 76405, 'canister_quantity': 1},
    {'drug_name': 'LOVASTATIN', 'ndc': '68180046907', 'strength': 'mg', 'formatted_ndc': '681800469', 'txr': '6461',
     'strength_value': '40', 'image_name': 'LUP04690.JPG', 'required_quantity': 42.0, 'imprint': 'LU <> G03',
     'shape': 'round', 'color': 'light green', 'drug_id': 95404, 'canister_quantity': 2},
    {'drug_name': 'LOVASTATIN', 'ndc': '68180046907', 'strength': 'mg', 'formatted_ndc': '681800469', 'txr': '6461',
     'strength_value': '40', 'image_name': 'LUP04690.JPG', 'required_quantity': 42.0, 'imprint': 'LU <> G03',
     'shape': 'round', 'color': 'light green', 'drug_id': 95404, 'canister_quantity': 2}]

September_18 = [{'drug_name': 'FEROSUL', 'ndc': '00904759183', 'strength': '(65 mg iron)', 'formatted_ndc': '009047591',
                 'txr': '1645', 'strength_value': '325 mg', 'image_name': None, 'required_quantity': 392.0,
                 'imprint': None, 'shape': None, 'color': None, 'drug_id': 19030, 'canister_quantity': 1},
                {'drug_name': 'DIVALPROEX SODIUM ER', 'ndc': '65162075750', 'strength': 'mg',
                 'formatted_ndc': '651620757', 'txr': '46315', 'strength_value': '500', 'image_name': 'AMN07570.JPG',
                 'required_quantity': 392.0, 'imprint': 'AN 757', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 118882, 'canister_quantity': 1},
                {'drug_name': 'OYSTER SHELL CALCIUM', 'ndc': '00904188392', 'strength': '(1,250 mg)',
                 'formatted_ndc': '009041883', 'txr': '1340', 'strength_value': '500 mg calcium',
                 'image_name': 'ABC12345.JPG', 'required_quantity': 196.0, 'imprint': None, 'shape': 'oblong',
                 'color': 'light green', 'drug_id': 19938, 'canister_quantity': 1},
                {'drug_name': 'ASPIRIN EC', 'ndc': '00603002632', 'strength': 'mg', 'formatted_ndc': '006030026',
                 'txr': '16995', 'strength_value': '81', 'image_name': 'QLT00260.JPG', 'required_quantity': 154.0,
                 'imprint': 'A', 'shape': 'round', 'color': 'yellow', 'drug_id': 15237, 'canister_quantity': 1},
                {'drug_name': 'LORAZEPAM', 'ndc': '69315090510', 'strength': 'mg', 'formatted_ndc': '693150905',
                 'txr': '3758', 'strength_value': '1', 'image_name': 'MJR60080.JPG', 'required_quantity': 182.0,
                 'imprint': 'EP 905 <> 1', 'shape': 'round', 'color': 'white', 'drug_id': 117527,
                 'canister_quantity': 1},
                {'drug_name': 'OMEPRAZOLE', 'ndc': '60505006508', 'strength': 'mg', 'formatted_ndc': '605050065',
                 'txr': '33530', 'strength_value': '20', 'image_name': 'ATX00650.JPG', 'required_quantity': 140.0,
                 'imprint': 'APO <> 020', 'shape': 'oblong', 'color': 'pink', 'drug_id': 76420, 'canister_quantity': 1},
                {'drug_name': 'CARVEDILOL', 'ndc': '65862014205', 'strength': 'mg', 'formatted_ndc': '658620142',
                 'txr': '28108', 'strength_value': '3.125', 'image_name': 'AUR01420.JPG', 'required_quantity': 84.0,
                 'imprint': 'E <> 01', 'shape': 'oval', 'color': 'white', 'drug_id': 85263, 'canister_quantity': 2},
                {'drug_name': 'CARVEDILOL', 'ndc': '65862014205', 'strength': 'mg', 'formatted_ndc': '658620142',
                 'txr': '28108', 'strength_value': '3.125', 'image_name': 'AUR01420.JPG', 'required_quantity': 84.0,
                 'imprint': 'E <> 01', 'shape': 'oval', 'color': 'white', 'drug_id': 85263, 'canister_quantity': 2},
                {'drug_name': 'SERTRALINE HCL', 'ndc': '68180035309', 'strength': 'mg', 'formatted_ndc': '681800353',
                 'txr': '46229', 'strength_value': '100', 'image_name': 'LUP03530.JPG', 'required_quantity': 70.0,
                 'imprint': 'L U <> D03', 'shape': 'oblong', 'color': 'yellow', 'drug_id': 95356,
                 'canister_quantity': 1}, {'drug_name': 'ALENDRONATE SODIUM', 'ndc': '69097022476', 'strength': 'mg',
                                           'formatted_ndc': '690970224', 'txr': '46941', 'strength_value': '70',
                                           'image_name': 'CIP02240.JPG', 'required_quantity': 8.0, 'imprint': 'C224',
                                           'shape': 'oblong', 'color': 'white', 'drug_id': 119248,
                                           'canister_quantity': 2},
                {'drug_name': 'ALENDRONATE SODIUM', 'ndc': '69097022476', 'strength': 'mg',
                 'formatted_ndc': '690970224', 'txr': '46941', 'strength_value': '70', 'image_name': 'CIP02240.JPG',
                 'required_quantity': 8.0, 'imprint': 'C224', 'shape': 'oblong', 'color': 'white', 'drug_id': 119248,
                 'canister_quantity': 2},
                {'drug_name': 'HALOPERIDOL', 'ndc': '68382007910', 'strength': 'mg', 'formatted_ndc': '683820079',
                 'txr': '3977', 'strength_value': '5', 'image_name': 'ZYD00790.JPG', 'required_quantity': 126.0,
                 'imprint': 'ZC 07', 'shape': 'oblong', 'color': 'green', 'drug_id': 106473, 'canister_quantity': 2},
                {'drug_name': 'HALOPERIDOL', 'ndc': '68382007910', 'strength': 'mg', 'formatted_ndc': '683820079',
                 'txr': '3977', 'strength_value': '5', 'image_name': 'ZYD00790.JPG', 'required_quantity': 126.0,
                 'imprint': 'ZC 07', 'shape': 'oblong', 'color': 'green', 'drug_id': 106473, 'canister_quantity': 2},
                {'drug_name': 'CLONAZEPAM', 'ndc': '16729013716', 'strength': 'mg', 'formatted_ndc': '167290137',
                 'txr': '4561', 'strength_value': '1', 'image_name': 'ACC01370.JPG', 'required_quantity': 84.0,
                 'imprint': 'C 1', 'shape': 'round', 'color': 'blue', 'drug_id': 32018, 'canister_quantity': 1},
                {'drug_name': 'MULTIVITAMINS', 'ndc': '00536404610', 'strength': '', 'formatted_ndc': '005364046',
                 'txr': '2532', 'strength_value': '', 'image_name': 'RUG40460.JPG', 'required_quantity': 56.0,
                 'imprint': None, 'shape': 'oval', 'color': 'red', 'drug_id': 127580, 'canister_quantity': 1},
                {'drug_name': 'TOPIRAMATE', 'ndc': '68382014014', 'strength': 'mg', 'formatted_ndc': '683820140',
                 'txr': '26170', 'strength_value': '100', 'image_name': 'ZYD01450.JPG', 'required_quantity': 56.0,
                 'imprint': 'ZD 14', 'shape': 'round', 'color': 'white', 'drug_id': 92820, 'canister_quantity': 2},
                {'drug_name': 'TOPIRAMATE', 'ndc': '68382014014', 'strength': 'mg', 'formatted_ndc': '683820140',
                 'txr': '26170', 'strength_value': '100', 'image_name': 'ZYD01450.JPG', 'required_quantity': 56.0,
                 'imprint': 'ZD 14', 'shape': 'round', 'color': 'white', 'drug_id': 92820, 'canister_quantity': 2},
                {'drug_name': 'AMANTADINE', 'ndc': '00591493005', 'strength': 'MG', 'formatted_ndc': '005914930',
                 'txr': '4575', 'strength_value': '100', 'image_name': 'ATE49300.JPG', 'required_quantity': 42.0,
                 'imprint': 'A973', 'shape': 'oblong', 'color': 'white', 'drug_id': 127582, 'canister_quantity': 1},
                {'drug_name': 'TRAZODONE HCL', 'ndc': '50111044102', 'strength': 'mg', 'formatted_ndc': '501110441',
                 'txr': '46243', 'strength_value': '150', 'image_name': 'PLV04411.JPG', 'required_quantity': 112.0,
                 'imprint': 'PLIVA 441 <> 50 50 50', 'shape': 'trapezoidal', 'color': 'white', 'drug_id': 51802,
                 'canister_quantity': 1}, {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '67877024633', 'strength': 'mg',
                                           'formatted_ndc': '678770246', 'txr': '34189', 'strength_value': '200',
                                           'image_name': None, 'required_quantity': 98.0, 'imprint': '260',
                                           'shape': 'round', 'color': 'white', 'drug_id': 119071,
                                           'canister_quantity': 1},
                {'drug_name': 'LATUDA', 'ndc': '63402030801', 'strength': 'mg', 'formatted_ndc': '634020308',
                 'txr': '66933', 'strength_value': '80', 'image_name': 'SUO03080.JPG', 'required_quantity': 84.0,
                 'imprint': 'L 80', 'shape': 'oval', 'color': 'pale green', 'drug_id': 97983, 'canister_quantity': 1},
                {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '67877024710', 'strength': 'mg',
                 'formatted_ndc': '678770247', 'txr': '47198', 'strength_value': '300', 'image_name': 'ASC02470.JPG',
                 'required_quantity': 70.0, 'imprint': '259', 'shape': 'oblong', 'color': 'white', 'drug_id': 118893,
                 'canister_quantity': 1}, {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '29300024219', 'strength': 'mg',
                                           'formatted_ndc': '293000242', 'txr': '16926', 'strength_value': '5',
                                           'image_name': 'UCP02420.JPG', 'required_quantity': 70.0,
                                           'imprint': 'U <> 242', 'shape': 'round', 'color': 'white', 'drug_id': 103459,
                                           'canister_quantity': 1},
                {'drug_name': 'PAROXETINE HCL', 'ndc': '00378700193', 'strength': 'mg', 'formatted_ndc': '003787001',
                 'txr': '46222', 'strength_value': '10', 'image_name': 'MYN70010.JPG', 'required_quantity': 42.0,
                 'imprint': 'M <> N 1', 'shape': 'oblong', 'color': 'blue', 'drug_id': 11653, 'canister_quantity': 1},
                {'drug_name': 'VITAMIN D', 'ndc': '00536379001', 'strength': 'unit', 'formatted_ndc': '005363790',
                 'txr': '64176', 'strength_value': '2,000', 'image_name': 'RUG37900.JPG', 'required_quantity': 56.0,
                 'imprint': None, 'shape': 'oval', 'color': 'yellow', 'drug_id': 13824, 'canister_quantity': 1},
                {'drug_name': 'RANEXA', 'ndc': '61958100301', 'strength': 'mg', 'formatted_ndc': '619581003',
                 'txr': '60333', 'strength_value': '500', 'image_name': 'GLS10010.JPG', 'required_quantity': 28.0,
                 'imprint': 'GSI500', 'shape': 'oblong', 'color': 'light orange', 'drug_id': 78303,
                 'canister_quantity': 2},
                {'drug_name': 'RANEXA', 'ndc': '61958100301', 'strength': 'mg', 'formatted_ndc': '619581003',
                 'txr': '60333', 'strength_value': '500', 'image_name': 'GLS10010.JPG', 'required_quantity': 28.0,
                 'imprint': 'GSI500', 'shape': 'oblong', 'color': 'light orange', 'drug_id': 78303,
                 'canister_quantity': 2},
                {'drug_name': 'ISOSORBIDE MONONITRATE ER', 'ndc': '68382065005', 'strength': 'mg',
                 'formatted_ndc': '683820650', 'txr': '24488', 'strength_value': '30', 'image_name': None,
                 'required_quantity': 28.0, 'imprint': 'N 30', 'shape': 'oval', 'color': 'reddish-pink',
                 'drug_id': 114570, 'canister_quantity': 1},
                {'drug_name': 'MEGESTROL ACETATE', 'ndc': '49884029005', 'strength': 'mg', 'formatted_ndc': '498840290',
                 'txr': '8829', 'strength_value': '40', 'image_name': 'PAR02900.JPG', 'required_quantity': 56.0,
                 'imprint': 'par 290', 'shape': 'round', 'color': 'white', 'drug_id': 49737, 'canister_quantity': 1},
                {'drug_name': 'HALOPERIDOL', 'ndc': '00781139213', 'strength': 'mg', 'formatted_ndc': '007811392',
                 'txr': '3973', 'strength_value': '1', 'image_name': 'GGG13920.JPG', 'required_quantity': 56.0,
                 'imprint': '123 <> GG', 'shape': 'round', 'color': 'yellow', 'drug_id': 17758, 'canister_quantity': 1},
                {'drug_name': 'FUROSEMIDE', 'ndc': '69315011710', 'strength': 'mg', 'formatted_ndc': '693150117',
                 'txr': '8209', 'strength_value': '40', 'image_name': 'AHP00160.JPG', 'required_quantity': 28.0,
                 'imprint': 'EP 117 <> 40', 'shape': 'round', 'color': 'white', 'drug_id': 117505,
                 'canister_quantity': 1},
                {'drug_name': 'LEVETIRACETAM', 'ndc': '68180011316', 'strength': 'mg', 'formatted_ndc': '681800113',
                 'txr': '44633', 'strength_value': '500', 'image_name': 'LUP01130.JPG', 'required_quantity': 28.0,
                 'imprint': 'L U <> X 02', 'shape': 'oblong', 'color': 'yellow', 'drug_id': 95272,
                 'canister_quantity': 1},
                {'drug_name': 'BUSPIRONE HCL', 'ndc': '16729028912', 'strength': 'mg', 'formatted_ndc': '167290289',
                 'txr': '44210', 'strength_value': '30', 'image_name': None, 'required_quantity': 70.0,
                 'imprint': 'B 8', 'shape': 'rectangular', 'color': 'white', 'drug_id': 124091, 'canister_quantity': 1},
                {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00781518192', 'strength': 'mcg',
                 'formatted_ndc': '007815181', 'txr': '6649', 'strength_value': '50', 'image_name': 'SDZ51810.JPG',
                 'required_quantity': 42.0, 'imprint': '50 <> GG 332', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 18235, 'canister_quantity': 1},
                {'drug_name': 'OXCARBAZEPINE', 'ndc': '51991029305', 'strength': 'mg', 'formatted_ndc': '519910293',
                 'txr': '27779', 'strength_value': '300', 'image_name': 'BKR02930.JPG', 'required_quantity': 56.0,
                 'imprint': 'B 293', 'shape': 'oval', 'color': 'beige', 'drug_id': 56739, 'canister_quantity': 1},
                {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg',
                 'formatted_ndc': '690970128', 'txr': '16927', 'strength_value': '10', 'image_name': 'CIP01280.JPG',
                 'required_quantity': 42.0, 'imprint': '128 <> C', 'shape': 'round', 'color': 'white',
                 'drug_id': 112190, 'canister_quantity': 2},
                {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg',
                 'formatted_ndc': '690970128', 'txr': '16927', 'strength_value': '10', 'image_name': 'CIP01280.JPG',
                 'required_quantity': 42.0, 'imprint': '128 <> C', 'shape': 'round', 'color': 'white',
                 'drug_id': 112190, 'canister_quantity': 2},
                {'drug_name': 'GABAPENTIN', 'ndc': '67877022310', 'strength': 'mg', 'formatted_ndc': '678770223',
                 'txr': '21414', 'strength_value': '300', 'image_name': 'ASC02230.JPG', 'required_quantity': 56.0,
                 'imprint': '215', 'shape': 'oblong', 'color': 'yellow', 'drug_id': 90068, 'canister_quantity': 1},
                {'drug_name': 'VITAMIN B-12', 'ndc': '37864091401', 'strength': 'mcg', 'formatted_ndc': '378640914',
                 'txr': '2337', 'strength_value': '1,000', 'image_name': None, 'required_quantity': 28.0,
                 'imprint': None, 'shape': None, 'color': None, 'drug_id': 40306, 'canister_quantity': 1},
                {'drug_name': 'OLANZAPINE', 'ndc': '55111016330', 'strength': 'mg', 'formatted_ndc': '551110163',
                 'txr': '29077', 'strength_value': '2.5', 'image_name': 'DRR01630.JPG', 'required_quantity': 28.0,
                 'imprint': 'R 2.5 <> 0163', 'shape': 'oval', 'color': 'white', 'drug_id': 68285,
                 'canister_quantity': 1}, {'drug_name': 'ONE DAILY MULTIVITAMIN', 'ndc': '57896053110', 'strength': '',
                                           'formatted_ndc': '578960531', 'txr': '2508', 'strength_value': '',
                                           'image_name': None, 'required_quantity': 42.0, 'imprint': None,
                                           'shape': None, 'color': None, 'drug_id': 159723, 'canister_quantity': 1},
                {'drug_name': 'LORAZEPAM', 'ndc': '69315090410', 'strength': 'mg', 'formatted_ndc': '693150904',
                 'txr': '3757', 'strength_value': '0.5', 'image_name': 'MJR60070.JPG', 'required_quantity': 70.0,
                 'imprint': 'EP 904', 'shape': 'round', 'color': 'white', 'drug_id': 117524, 'canister_quantity': 1},
                {'drug_name': 'LISINOPRIL', 'ndc': '68180098003', 'strength': 'mg', 'formatted_ndc': '681800980',
                 'txr': '390', 'strength_value': '10', 'image_name': 'LUP05140.JPG', 'required_quantity': 28.0,
                 'imprint': 'LUPIN <> 10', 'shape': 'round', 'color': 'pink', 'drug_id': 126626,
                 'canister_quantity': 1}]

September_17 = [
    {'drug_name': 'ASPIRIN EC', 'ndc': '00603002632', 'strength': 'mg', 'formatted_ndc': '006030026', 'txr': '16995',
     'strength_value': '81', 'image_name': 'QLT00260.JPG', 'required_quantity': 112.0, 'imprint': 'A', 'shape': 'round',
     'color': 'yellow', 'drug_id': 15237, 'canister_quantity': 1},
    {'drug_name': 'FEROSUL', 'ndc': '00904759183', 'strength': '(65 mg iron)', 'formatted_ndc': '009047591',
     'txr': '1645', 'strength_value': '325 mg', 'image_name': None, 'required_quantity': 98.0, 'imprint': None,
     'shape': None, 'color': None, 'drug_id': 19030, 'canister_quantity': 1},
    {'drug_name': 'GABAPENTIN', 'ndc': '67877022310', 'strength': 'mg', 'formatted_ndc': '678770223', 'txr': '21414',
     'strength_value': '300', 'image_name': 'ASC02230.JPG', 'required_quantity': 154.0, 'imprint': '215',
     'shape': 'oblong', 'color': 'yellow', 'drug_id': 90068, 'canister_quantity': 1},
    {'drug_name': 'DIVALPROEX SODIUM ER', 'ndc': '65162075750', 'strength': 'mg', 'formatted_ndc': '651620757',
     'txr': '46315', 'strength_value': '500', 'image_name': 'AMN07570.JPG', 'required_quantity': 238.0,
     'imprint': 'AN 757', 'shape': 'oblong', 'color': 'white', 'drug_id': 118882, 'canister_quantity': 1},
    {'drug_name': 'CALCIUM 600 + VIT D', 'ndc': '00536342408', 'strength': '-400 unit', 'formatted_ndc': '005363424',
     'txr': '58018', 'strength_value': '600 mg(1,500mg)', 'image_name': 'RUG34240.JPG', 'required_quantity': 126.0,
     'imprint': None, 'shape': 'oblong', 'color': 'light pink', 'drug_id': 13786, 'canister_quantity': 1},
    {'drug_name': 'NIFEDIPINE ER', 'ndc': '00378036010', 'strength': 'mg', 'formatted_ndc': '003780360', 'txr': '12060',
     'strength_value': '60', 'image_name': 'MYN03600.JPG', 'required_quantity': 28.0, 'imprint': 'M <> NE 60',
     'shape': 'round', 'color': 'orange', 'drug_id': 10775, 'canister_quantity': 2},
    {'drug_name': 'NIFEDIPINE ER', 'ndc': '00378036010', 'strength': 'mg', 'formatted_ndc': '003780360', 'txr': '12060',
     'strength_value': '60', 'image_name': 'MYN03600.JPG', 'required_quantity': 28.0, 'imprint': 'M <> NE 60',
     'shape': 'round', 'color': 'orange', 'drug_id': 10775, 'canister_quantity': 2},
    {'drug_name': 'HYDRALAZINE HCL', 'ndc': '31722052010', 'strength': 'mg', 'formatted_ndc': '317220520', 'txr': '286',
     'strength_value': '25', 'image_name': 'CBR05200.JPG', 'required_quantity': 28.0, 'imprint': 'H <> 39',
     'shape': 'round', 'color': 'orange', 'drug_id': 35848, 'canister_quantity': 1},
    {'drug_name': 'CLONIDINE HCL', 'ndc': '68001023900', 'strength': 'mg', 'formatted_ndc': '680010239', 'txr': '348',
     'strength_value': '0.3', 'image_name': 'PUR21290.JPG', 'required_quantity': 42.0, 'imprint': '129 <> logo',
     'shape': 'round', 'color': 'orange', 'drug_id': 101445, 'canister_quantity': 2},
    {'drug_name': 'CLONIDINE HCL', 'ndc': '68001023900', 'strength': 'mg', 'formatted_ndc': '680010239', 'txr': '348',
     'strength_value': '0.3', 'image_name': 'PUR21290.JPG', 'required_quantity': 42.0, 'imprint': '129 <> logo',
     'shape': 'round', 'color': 'orange', 'drug_id': 101445, 'canister_quantity': 2},
    {'drug_name': 'ISOSORBIDE MONONITRATE ER', 'ndc': '68382065005', 'strength': 'mg', 'formatted_ndc': '683820650',
     'txr': '24488', 'strength_value': '30', 'image_name': None, 'required_quantity': 28.0, 'imprint': 'N 30',
     'shape': 'oval', 'color': 'reddish-pink', 'drug_id': 114570, 'canister_quantity': 1},
    {'drug_name': 'SUCRALFATE', 'ndc': '00093221098', 'strength': 'gram', 'formatted_ndc': '000932210', 'txr': '2766',
     'strength_value': '1', 'image_name': 'ABC00190.JPG', 'required_quantity': 42.0, 'imprint': 'TEVA <> 22 10',
     'shape': 'oblong', 'color': 'white', 'drug_id': 5500, 'canister_quantity': 1},
    {'drug_name': 'ONE DAILY MULTIVITAMIN', 'ndc': '57896053110', 'strength': '', 'formatted_ndc': '578960531',
     'txr': '2508', 'strength_value': '', 'image_name': None, 'required_quantity': 70.0, 'imprint': None, 'shape': None,
     'color': None, 'drug_id': 159723, 'canister_quantity': 1},
    {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '67877024633', 'strength': 'mg', 'formatted_ndc': '678770246',
     'txr': '34189', 'strength_value': '200', 'image_name': None, 'required_quantity': 42.0, 'imprint': '260',
     'shape': 'round', 'color': 'white', 'drug_id': 119071, 'canister_quantity': 1},
    {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '68180075209', 'strength': 'mg', 'formatted_ndc': '681800752',
     'txr': '16927', 'strength_value': '10', 'image_name': 'LUP07520.JPG', 'required_quantity': 42.0,
     'imprint': 'LU <> H13', 'shape': 'round', 'color': 'white', 'drug_id': 95487, 'canister_quantity': 1},
    {'drug_name': 'SENNA LAXATIVE', 'ndc': '49781014851', 'strength': 'MG', 'formatted_ndc': '497810148',
     'txr': '19964', 'strength_value': '8.6', 'image_name': 'ABC00463.JPG', 'required_quantity': 28.0,
     'imprint': 'TCL 080', 'shape': 'round', 'color': 'light brown', 'drug_id': 127581, 'canister_quantity': 1},
    {'drug_name': 'OMEPRAZOLE', 'ndc': '60505006508', 'strength': 'mg', 'formatted_ndc': '605050065', 'txr': '33530',
     'strength_value': '20', 'image_name': 'ATX00650.JPG', 'required_quantity': 28.0, 'imprint': 'APO <> 020',
     'shape': 'oblong', 'color': 'pink', 'drug_id': 76420, 'canister_quantity': 1},
    {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00527134110', 'strength': 'mcg', 'formatted_ndc': '005271341',
     'txr': '6648', 'strength_value': '25', 'image_name': 'WTS09020.JPG', 'required_quantity': 28.0,
     'imprint': 'JSP <> 513', 'shape': 'round', 'color': 'peach', 'drug_id': 13581, 'canister_quantity': 1},
    {'drug_name': 'DIVALPROEX SODIUM', 'ndc': '62756079788', 'strength': 'mg', 'formatted_ndc': '627560797',
     'txr': '4539', 'strength_value': '250', 'image_name': 'SUN07970.JPG', 'required_quantity': 56.0, 'imprint': '797',
     'shape': 'oval', 'color': 'orange', 'drug_id': 79077, 'canister_quantity': 1},
    {'drug_name': 'IRBESARTAN', 'ndc': '31722073190', 'strength': 'mg', 'formatted_ndc': '317220731', 'txr': '34469',
     'strength_value': '300', 'image_name': 'CBR07310.JPG', 'required_quantity': 14.0, 'imprint': '160 <> H',
     'shape': 'oblong', 'color': 'white', 'drug_id': 35890, 'canister_quantity': 2},
    {'drug_name': 'IRBESARTAN', 'ndc': '31722073190', 'strength': 'mg', 'formatted_ndc': '317220731', 'txr': '34469',
     'strength_value': '300', 'image_name': 'CBR07310.JPG', 'required_quantity': 14.0, 'imprint': '160 <> H',
     'shape': 'oblong', 'color': 'white', 'drug_id': 35890, 'canister_quantity': 2},
    {'drug_name': 'GLIMEPIRIDE', 'ndc': '16729000316', 'strength': 'mg', 'formatted_ndc': '167290003', 'txr': '25181',
     'strength_value': '4', 'image_name': 'ACR00030.JPG', 'required_quantity': 14.0, 'imprint': 'AHI 4',
     'shape': 'oval', 'color': 'blue', 'drug_id': 121869, 'canister_quantity': 1},
    {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00781518192', 'strength': 'mcg', 'formatted_ndc': '007815181',
     'txr': '6649', 'strength_value': '50', 'image_name': 'SDZ51810.JPG', 'required_quantity': 28.0,
     'imprint': '50 <> GG 332', 'shape': 'oblong', 'color': 'white', 'drug_id': 18235, 'canister_quantity': 1},
    {'drug_name': 'TOPIRAMATE', 'ndc': '68382014014', 'strength': 'mg', 'formatted_ndc': '683820140', 'txr': '26170',
     'strength_value': '100', 'image_name': 'ZYD01450.JPG', 'required_quantity': 28.0, 'imprint': 'ZD 14',
     'shape': 'round', 'color': 'white', 'drug_id': 92820, 'canister_quantity': 2},
    {'drug_name': 'TOPIRAMATE', 'ndc': '68382014014', 'strength': 'mg', 'formatted_ndc': '683820140', 'txr': '26170',
     'strength_value': '100', 'image_name': 'ZYD01450.JPG', 'required_quantity': 28.0, 'imprint': 'ZD 14',
     'shape': 'round', 'color': 'white', 'drug_id': 92820, 'canister_quantity': 2},
    {'drug_name': 'MULTIVITAMINS', 'ndc': '00536404610', 'strength': '', 'formatted_ndc': '005364046', 'txr': '2532',
     'strength_value': '', 'image_name': 'RUG40460.JPG', 'required_quantity': 28.0, 'imprint': None, 'shape': 'oval',
     'color': 'red', 'drug_id': 127580, 'canister_quantity': 1},
    {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '29300024219', 'strength': 'mg', 'formatted_ndc': '293000242',
     'txr': '16926', 'strength_value': '5', 'image_name': 'UCP02420.JPG', 'required_quantity': 42.0,
     'imprint': 'U <> 242', 'shape': 'round', 'color': 'white', 'drug_id': 103459, 'canister_quantity': 1}]

September_16 = [
    {'drug_name': 'ASPIRIN EC', 'ndc': '00603002632', 'strength': 'mg', 'formatted_ndc': '006030026', 'txr': '16995',
     'strength_value': '81', 'image_name': 'QLT00260.JPG', 'required_quantity': 112.0, 'imprint': 'A', 'shape': 'round',
     'color': 'yellow', 'drug_id': 15237, 'canister_quantity': 1},
    {'drug_name': 'FEROSUL', 'ndc': '00904759183', 'strength': '(65 mg iron)', 'formatted_ndc': '009047591',
     'txr': '1645', 'strength_value': '325 mg', 'image_name': None, 'required_quantity': 98.0, 'imprint': None,
     'shape': None, 'color': None, 'drug_id': 19030, 'canister_quantity': 1},
    {'drug_name': 'GABAPENTIN', 'ndc': '67877022310', 'strength': 'mg', 'formatted_ndc': '678770223', 'txr': '21414',
     'strength_value': '300', 'image_name': 'ASC02230.JPG', 'required_quantity': 154.0, 'imprint': '215',
     'shape': 'oblong', 'color': 'yellow', 'drug_id': 90068, 'canister_quantity': 1},
    {'drug_name': 'DIVALPROEX SODIUM ER', 'ndc': '65162075750', 'strength': 'mg', 'formatted_ndc': '651620757',
     'txr': '46315', 'strength_value': '500', 'image_name': 'AMN07570.JPG', 'required_quantity': 238.0,
     'imprint': 'AN 757', 'shape': 'oblong', 'color': 'white', 'drug_id': 118882, 'canister_quantity': 1},
    {'drug_name': 'CALCIUM 600 + VIT D', 'ndc': '00536342408', 'strength': '-400 unit', 'formatted_ndc': '005363424',
     'txr': '58018', 'strength_value': '600 mg(1,500mg)', 'image_name': 'RUG34240.JPG', 'required_quantity': 126.0,
     'imprint': None, 'shape': 'oblong', 'color': 'light pink', 'drug_id': 13786, 'canister_quantity': 1},
    {'drug_name': 'ONE DAILY MULTIVITAMIN', 'ndc': '57896053110', 'strength': '', 'formatted_ndc': '578960531',
     'txr': '2508', 'strength_value': '', 'image_name': None, 'required_quantity': 70.0, 'imprint': None, 'shape': None,
     'color': None, 'drug_id': 159723, 'canister_quantity': 1},
    {'drug_name': 'SUCRALFATE', 'ndc': '00093221098', 'strength': 'gram', 'formatted_ndc': '000932210', 'txr': '2766',
     'strength_value': '1', 'image_name': 'ABC00190.JPG', 'required_quantity': 42.0, 'imprint': 'TEVA <> 22 10',
     'shape': 'oblong', 'color': 'white', 'drug_id': 5500, 'canister_quantity': 1},
    {'drug_name': 'NIFEDIPINE ER', 'ndc': '00378036010', 'strength': 'mg', 'formatted_ndc': '003780360', 'txr': '12060',
     'strength_value': '60', 'image_name': 'MYN03600.JPG', 'required_quantity': 28.0, 'imprint': 'M <> NE 60',
     'shape': 'round', 'color': 'orange', 'drug_id': 10775, 'canister_quantity': 2},
    {'drug_name': 'NIFEDIPINE ER', 'ndc': '00378036010', 'strength': 'mg', 'formatted_ndc': '003780360', 'txr': '12060',
     'strength_value': '60', 'image_name': 'MYN03600.JPG', 'required_quantity': 28.0, 'imprint': 'M <> NE 60',
     'shape': 'round', 'color': 'orange', 'drug_id': 10775, 'canister_quantity': 2},
    {'drug_name': 'ISOSORBIDE MONONITRATE ER', 'ndc': '68382065005', 'strength': 'mg', 'formatted_ndc': '683820650',
     'txr': '24488', 'strength_value': '30', 'image_name': None, 'required_quantity': 28.0, 'imprint': 'N 30',
     'shape': 'oval', 'color': 'reddish-pink', 'drug_id': 114570, 'canister_quantity': 1},
    {'drug_name': 'CLONIDINE HCL', 'ndc': '68001023900', 'strength': 'mg', 'formatted_ndc': '680010239', 'txr': '348',
     'strength_value': '0.3', 'image_name': 'PUR21290.JPG', 'required_quantity': 42.0, 'imprint': '129 <> logo',
     'shape': 'round', 'color': 'orange', 'drug_id': 101445, 'canister_quantity': 2},
    {'drug_name': 'CLONIDINE HCL', 'ndc': '68001023900', 'strength': 'mg', 'formatted_ndc': '680010239', 'txr': '348',
     'strength_value': '0.3', 'image_name': 'PUR21290.JPG', 'required_quantity': 42.0, 'imprint': '129 <> logo',
     'shape': 'round', 'color': 'orange', 'drug_id': 101445, 'canister_quantity': 2},
    {'drug_name': 'HYDRALAZINE HCL', 'ndc': '31722052010', 'strength': 'mg', 'formatted_ndc': '317220520', 'txr': '286',
     'strength_value': '25', 'image_name': 'CBR05200.JPG', 'required_quantity': 28.0, 'imprint': 'H <> 39',
     'shape': 'round', 'color': 'orange', 'drug_id': 35848, 'canister_quantity': 1},
    {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '67877024633', 'strength': 'mg', 'formatted_ndc': '678770246',
     'txr': '34189', 'strength_value': '200', 'image_name': None, 'required_quantity': 42.0, 'imprint': '260',
     'shape': 'round', 'color': 'white', 'drug_id': 119071, 'canister_quantity': 1},
    {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '68180075209', 'strength': 'mg', 'formatted_ndc': '681800752',
     'txr': '16927', 'strength_value': '10', 'image_name': 'LUP07520.JPG', 'required_quantity': 42.0,
     'imprint': 'LU <> H13', 'shape': 'round', 'color': 'white', 'drug_id': 95487, 'canister_quantity': 1},
    {'drug_name': 'OMEPRAZOLE', 'ndc': '60505006508', 'strength': 'mg', 'formatted_ndc': '605050065', 'txr': '33530',
     'strength_value': '20', 'image_name': 'ATX00650.JPG', 'required_quantity': 28.0, 'imprint': 'APO <> 020',
     'shape': 'oblong', 'color': 'pink', 'drug_id': 76420, 'canister_quantity': 1},
    {'drug_name': 'SENNA LAXATIVE', 'ndc': '49781014851', 'strength': 'MG', 'formatted_ndc': '497810148',
     'txr': '19964', 'strength_value': '8.6', 'image_name': 'ABC00463.JPG', 'required_quantity': 28.0,
     'imprint': 'TCL 080', 'shape': 'round', 'color': 'light brown', 'drug_id': 127581, 'canister_quantity': 1},
    {'drug_name': 'DIVALPROEX SODIUM', 'ndc': '62756079788', 'strength': 'mg', 'formatted_ndc': '627560797',
     'txr': '4539', 'strength_value': '250', 'image_name': 'SUN07970.JPG', 'required_quantity': 56.0, 'imprint': '797',
     'shape': 'oval', 'color': 'orange', 'drug_id': 79077, 'canister_quantity': 1},
    {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00527134110', 'strength': 'mcg', 'formatted_ndc': '005271341',
     'txr': '6648', 'strength_value': '25', 'image_name': 'WTS09020.JPG', 'required_quantity': 28.0,
     'imprint': 'JSP <> 513', 'shape': 'round', 'color': 'peach', 'drug_id': 13581, 'canister_quantity': 1},
    {'drug_name': 'IRBESARTAN', 'ndc': '31722073190', 'strength': 'mg', 'formatted_ndc': '317220731', 'txr': '34469',
     'strength_value': '300', 'image_name': 'CBR07310.JPG', 'required_quantity': 14.0, 'imprint': '160 <> H',
     'shape': 'oblong', 'color': 'white', 'drug_id': 35890, 'canister_quantity': 2},
    {'drug_name': 'IRBESARTAN', 'ndc': '31722073190', 'strength': 'mg', 'formatted_ndc': '317220731', 'txr': '34469',
     'strength_value': '300', 'image_name': 'CBR07310.JPG', 'required_quantity': 14.0, 'imprint': '160 <> H',
     'shape': 'oblong', 'color': 'white', 'drug_id': 35890, 'canister_quantity': 2},
    {'drug_name': 'GLIMEPIRIDE', 'ndc': '16729000316', 'strength': 'mg', 'formatted_ndc': '167290003', 'txr': '25181',
     'strength_value': '4', 'image_name': 'ACR00030.JPG', 'required_quantity': 14.0, 'imprint': 'AHI 4',
     'shape': 'oval', 'color': 'blue', 'drug_id': 121869, 'canister_quantity': 1}]

September_14 = [
    {'drug_name': 'DIVALPROEX SODIUM ER', 'ndc': '65162075750', 'strength': 'mg', 'formatted_ndc': '651620757',
     'txr': '46315', 'strength_value': '500', 'image_name': 'AMN07570.JPG', 'required_quantity': 336.0,
     'imprint': 'AN 757', 'shape': 'oblong', 'color': 'white', 'drug_id': 118882, 'canister_quantity': 1},
    {'drug_name': 'ASPIRIN EC', 'ndc': '00603002632', 'strength': 'mg', 'formatted_ndc': '006030026', 'txr': '16995',
     'strength_value': '81', 'image_name': 'QLT00260.JPG', 'required_quantity': 140.0, 'imprint': 'A', 'shape': 'round',
     'color': 'yellow', 'drug_id': 15237, 'canister_quantity': 1},
    {'drug_name': 'FEROSUL', 'ndc': '00904759183', 'strength': '(65 mg iron)', 'formatted_ndc': '009047591',
     'txr': '1645', 'strength_value': '325 mg', 'image_name': None, 'required_quantity': 126.0, 'imprint': None,
     'shape': None, 'color': None, 'drug_id': 19030, 'canister_quantity': 1},
    {'drug_name': 'OMEPRAZOLE', 'ndc': '60505006508', 'strength': 'mg', 'formatted_ndc': '605050065', 'txr': '33530',
     'strength_value': '20', 'image_name': 'ATX00650.JPG', 'required_quantity': 126.0, 'imprint': 'APO <> 020',
     'shape': 'oblong', 'color': 'pink', 'drug_id': 76420, 'canister_quantity': 1},
    {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00781518192', 'strength': 'mcg', 'formatted_ndc': '007815181',
     'txr': '6649', 'strength_value': '50', 'image_name': 'SDZ51810.JPG', 'required_quantity': 70.0,
     'imprint': '50 <> GG 332', 'shape': 'oblong', 'color': 'white', 'drug_id': 18235, 'canister_quantity': 1},
    {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '67877024633', 'strength': 'mg', 'formatted_ndc': '678770246',
     'txr': '34189', 'strength_value': '200', 'image_name': None, 'required_quantity': 112.0, 'imprint': '260',
     'shape': 'round', 'color': 'white', 'drug_id': 119071, 'canister_quantity': 1},
    {'drug_name': 'VITAMIN D', 'ndc': '00536379001', 'strength': 'unit', 'formatted_ndc': '005363790', 'txr': '64176',
     'strength_value': '2,000', 'image_name': 'RUG37900.JPG', 'required_quantity': 98.0, 'imprint': None,
     'shape': 'oval', 'color': 'yellow', 'drug_id': 13824, 'canister_quantity': 1},
    {'drug_name': 'LEVETIRACETAM', 'ndc': '68180011316', 'strength': 'mg', 'formatted_ndc': '681800113', 'txr': '44633',
     'strength_value': '500', 'image_name': 'LUP01130.JPG', 'required_quantity': 98.0, 'imprint': 'L U <> X 02',
     'shape': 'oblong', 'color': 'yellow', 'drug_id': 95272, 'canister_quantity': 1},
    {'drug_name': 'PHENYTOIN SODIUM EXTENDED', 'ndc': '65162021250', 'strength': 'mg', 'formatted_ndc': '651620212',
     'txr': '4521', 'strength_value': '100', 'image_name': 'AMN02120.JPG', 'required_quantity': 84.0,
     'imprint': 'IP 212 <> IP 212', 'shape': 'oblong', 'color': 'white', 'drug_id': 84415, 'canister_quantity': 1},
    {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00527134110', 'strength': 'mcg', 'formatted_ndc': '005271341',
     'txr': '6648', 'strength_value': '25', 'image_name': 'WTS09020.JPG', 'required_quantity': 56.0,
     'imprint': 'JSP <> 513', 'shape': 'round', 'color': 'peach', 'drug_id': 13581, 'canister_quantity': 1},
    {'drug_name': 'GABAPENTIN', 'ndc': '71093011105', 'strength': 'MG', 'formatted_ndc': '710930111', 'txr': '41805',
     'strength_value': '600', 'image_name': 'SLC03320.JPG', 'required_quantity': 126.0, 'imprint': 'NT 150',
     'shape': 'oval', 'color': 'white', 'drug_id': 127611, 'canister_quantity': 1},
    {'drug_name': 'LATUDA', 'ndc': '63402030801', 'strength': 'mg', 'formatted_ndc': '634020308', 'txr': '66933',
     'strength_value': '80', 'image_name': 'SUO03080.JPG', 'required_quantity': 56.0, 'imprint': 'L 80',
     'shape': 'oval', 'color': 'pale green', 'drug_id': 97983, 'canister_quantity': 1},
    {'drug_name': 'CLOPIDOGREL', 'ndc': '16729021816', 'strength': 'mg', 'formatted_ndc': '167290218', 'txr': '38164',
     'strength_value': '75', 'image_name': 'ACI02180.JPG', 'required_quantity': 42.0, 'imprint': 'CI', 'shape': 'round',
     'color': 'pink', 'drug_id': 32058, 'canister_quantity': 1},
    {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00527135110', 'strength': 'mcg', 'formatted_ndc': '005271351',
     'txr': '6656', 'strength_value': '200', 'image_name': 'WTS09110.JPG', 'required_quantity': 28.0,
     'imprint': 'JSP <> 522', 'shape': 'round', 'color': 'pink', 'drug_id': 13599, 'canister_quantity': 2},
    {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00527135110', 'strength': 'mcg', 'formatted_ndc': '005271351',
     'txr': '6656', 'strength_value': '200', 'image_name': 'WTS09110.JPG', 'required_quantity': 28.0,
     'imprint': 'JSP <> 522', 'shape': 'round', 'color': 'pink', 'drug_id': 13599, 'canister_quantity': 2},
    {'drug_name': 'LINZESS', 'ndc': '00456120130', 'strength': 'mcg', 'formatted_ndc': '004561201', 'txr': '69922',
     'strength_value': '145', 'image_name': 'FOR12010.JPG', 'required_quantity': 28.0, 'imprint': 'FL 145',
     'shape': 'oblong', 'color': 'white', 'drug_id': 12888, 'canister_quantity': 2},
    {'drug_name': 'LINZESS', 'ndc': '00456120130', 'strength': 'mcg', 'formatted_ndc': '004561201', 'txr': '69922',
     'strength_value': '145', 'image_name': 'FOR12010.JPG', 'required_quantity': 28.0, 'imprint': 'FL 145',
     'shape': 'oblong', 'color': 'white', 'drug_id': 12888, 'canister_quantity': 2},
    {'drug_name': 'DICYCLOMINE HCL', 'ndc': '00591079410', 'strength': 'mg', 'formatted_ndc': '005910794',
     'txr': '4918', 'strength_value': '10', 'image_name': 'WTS07940.JPG', 'required_quantity': 98.0,
     'imprint': 'WATSON 794 <> 10 mg', 'shape': 'oblong', 'color': 'dark blue', 'drug_id': 14723,
     'canister_quantity': 2},
    {'drug_name': 'DICYCLOMINE HCL', 'ndc': '00591079410', 'strength': 'mg', 'formatted_ndc': '005910794',
     'txr': '4918', 'strength_value': '10', 'image_name': 'WTS07940.JPG', 'required_quantity': 98.0,
     'imprint': 'WATSON 794 <> 10 mg', 'shape': 'oblong', 'color': 'dark blue', 'drug_id': 14723,
     'canister_quantity': 2},
    {'drug_name': 'NAPROXEN', 'ndc': '68462019060', 'strength': 'mg', 'formatted_ndc': '684620190', 'txr': '8362',
     'strength_value': '500', 'image_name': 'GLN01901.JPG', 'required_quantity': 28.0, 'imprint': 'G 32 <> 500',
     'shape': 'oblong', 'color': 'pink', 'drug_id': 93503, 'canister_quantity': 1},
    {'drug_name': 'HYDRALAZINE HCL', 'ndc': '31722052010', 'strength': 'mg', 'formatted_ndc': '317220520', 'txr': '286',
     'strength_value': '25', 'image_name': 'CBR05200.JPG', 'required_quantity': 42.0, 'imprint': 'H <> 39',
     'shape': 'round', 'color': 'orange', 'drug_id': 35848, 'canister_quantity': 1},
    {'drug_name': 'TOPIRAMATE', 'ndc': '68382014014', 'strength': 'mg', 'formatted_ndc': '683820140', 'txr': '26170',
     'strength_value': '100', 'image_name': 'ZYD01450.JPG', 'required_quantity': 70.0, 'imprint': 'ZD 14',
     'shape': 'round', 'color': 'white', 'drug_id': 92820, 'canister_quantity': 2},
    {'drug_name': 'TOPIRAMATE', 'ndc': '68382014014', 'strength': 'mg', 'formatted_ndc': '683820140', 'txr': '26170',
     'strength_value': '100', 'image_name': 'ZYD01450.JPG', 'required_quantity': 70.0, 'imprint': 'ZD 14',
     'shape': 'round', 'color': 'white', 'drug_id': 92820, 'canister_quantity': 2},
    {'drug_name': 'MULTIVITAMINS', 'ndc': '00536404610', 'strength': '', 'formatted_ndc': '005364046', 'txr': '2532',
     'strength_value': '', 'image_name': 'RUG40460.JPG', 'required_quantity': 42.0, 'imprint': None, 'shape': 'oval',
     'color': 'red', 'drug_id': 127580, 'canister_quantity': 1},
    {'drug_name': 'DIVALPROEX SODIUM', 'ndc': '62756079788', 'strength': 'mg', 'formatted_ndc': '627560797',
     'txr': '4539', 'strength_value': '250', 'image_name': 'SUN07970.JPG', 'required_quantity': 70.0, 'imprint': '797',
     'shape': 'oval', 'color': 'orange', 'drug_id': 79077, 'canister_quantity': 1},
    {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '67877024710', 'strength': 'mg', 'formatted_ndc': '678770247',
     'txr': '47198', 'strength_value': '300', 'image_name': 'ASC02470.JPG', 'required_quantity': 84.0, 'imprint': '259',
     'shape': 'oblong', 'color': 'white', 'drug_id': 118893, 'canister_quantity': 1},
    {'drug_name': 'DULOXETINE HCL', 'ndc': '57237001999', 'strength': 'mg', 'formatted_ndc': '572370019',
     'txr': '57893', 'strength_value': '60', 'image_name': 'CIT00190.JPG', 'required_quantity': 28.0, 'imprint': None,
     'shape': None, 'color': None, 'drug_id': 98507, 'canister_quantity': 2},
    {'drug_name': 'DULOXETINE HCL', 'ndc': '57237001999', 'strength': 'mg', 'formatted_ndc': '572370019',
     'txr': '57893', 'strength_value': '60', 'image_name': 'CIT00190.JPG', 'required_quantity': 28.0, 'imprint': None,
     'shape': None, 'color': None, 'drug_id': 98507, 'canister_quantity': 2},
    {'drug_name': 'POTASSIUM CHLORIDE', 'ndc': '68382060010', 'strength': 'mEq', 'formatted_ndc': '683820600',
     'txr': '1275', 'strength_value': '10', 'image_name': 'ABT78040.JPG', 'required_quantity': 14.0,
     'imprint': 'K-TAB <> logo', 'shape': 'oval', 'color': 'yellow', 'drug_id': 92909, 'canister_quantity': 2},
    {'drug_name': 'POTASSIUM CHLORIDE', 'ndc': '68382060010', 'strength': 'mEq', 'formatted_ndc': '683820600',
     'txr': '1275', 'strength_value': '10', 'image_name': 'ABT78040.JPG', 'required_quantity': 14.0,
     'imprint': 'K-TAB <> logo', 'shape': 'oval', 'color': 'yellow', 'drug_id': 92909, 'canister_quantity': 2},
    {'drug_name': 'TRAMADOL HCL', 'ndc': '65162062750', 'strength': 'mg', 'formatted_ndc': '651620627', 'txr': '23139',
     'strength_value': '50', 'image_name': 'AKY06270.JPG', 'required_quantity': 112.0, 'imprint': 'AN 627',
     'shape': 'round', 'color': 'white', 'drug_id': 84604, 'canister_quantity': 1},
    {'drug_name': 'GABAPENTIN', 'ndc': '43547033250', 'strength': 'mg', 'formatted_ndc': '435470332', 'txr': '41805',
     'strength_value': '600', 'image_name': None, 'required_quantity': 56.0, 'imprint': 'NT 150', 'shape': 'oval',
     'color': 'white', 'drug_id': 107396, 'canister_quantity': 2},
    {'drug_name': 'GABAPENTIN', 'ndc': '43547033250', 'strength': 'mg', 'formatted_ndc': '435470332', 'txr': '41805',
     'strength_value': '600', 'image_name': None, 'required_quantity': 56.0, 'imprint': 'NT 150', 'shape': 'oval',
     'color': 'white', 'drug_id': 107396, 'canister_quantity': 2},
    {'drug_name': 'CALCIUM ANTACID', 'ndc': '00904641292', 'strength': '(500 mg)', 'formatted_ndc': '009046412',
     'txr': '2689', 'strength_value': '200 mg calcium', 'image_name': None, 'required_quantity': 28.0, 'imprint': None,
     'shape': None, 'color': None, 'drug_id': 106352, 'canister_quantity': 2},
    {'drug_name': 'CALCIUM ANTACID', 'ndc': '00904641292', 'strength': '(500 mg)', 'formatted_ndc': '009046412',
     'txr': '2689', 'strength_value': '200 mg calcium', 'image_name': None, 'required_quantity': 28.0, 'imprint': None,
     'shape': None, 'color': None, 'drug_id': 106352, 'canister_quantity': 2}]

September_13 = [
    {'drug_name': 'MULTIVITAMINS', 'ndc': '00536404610', 'strength': '', 'formatted_ndc': '005364046', 'txr': '2532',
     'strength_value': '', 'image_name': 'RUG40460.JPG', 'required_quantity': 140.0, 'imprint': None, 'shape': 'oval',
     'color': 'red', 'drug_id': 127580, 'canister_quantity': 1},
    {'drug_name': 'ASPIRIN EC', 'ndc': '49483048110', 'strength': 'MG', 'formatted_ndc': '494830481', 'txr': '16995',
     'strength_value': '81', 'image_name': None, 'required_quantity': 98.0, 'imprint': 'logo', 'shape': 'round',
     'color': 'white', 'drug_id': 170949, 'canister_quantity': 2},
    {'drug_name': 'ASPIRIN EC', 'ndc': '49483048110', 'strength': 'MG', 'formatted_ndc': '494830481', 'txr': '16995',
     'strength_value': '81', 'image_name': None, 'required_quantity': 98.0, 'imprint': 'logo', 'shape': 'round',
     'color': 'white', 'drug_id': 170949, 'canister_quantity': 2},
    {'drug_name': 'ZOLPIDEM TARTRATE', 'ndc': '00781531810', 'strength': 'mg', 'formatted_ndc': '007815318',
     'txr': '19188', 'strength_value': '10', 'image_name': 'SDZ53180.JPG', 'required_quantity': 84.0,
     'imprint': 'ZLP <> 10', 'shape': 'round', 'color': 'yellow', 'drug_id': 18309, 'canister_quantity': 1},
    {'drug_name': 'DIVALPROEX SODIUM ER', 'ndc': '65162075750', 'strength': 'mg', 'formatted_ndc': '651620757',
     'txr': '46315', 'strength_value': '500', 'image_name': 'AMN07570.JPG', 'required_quantity': 266.0,
     'imprint': 'AN 757', 'shape': 'oblong', 'color': 'white', 'drug_id': 118882, 'canister_quantity': 1},
    {'drug_name': 'FEROSUL', 'ndc': '00904759183', 'strength': '(65 mg iron)', 'formatted_ndc': '009047591',
     'txr': '1645', 'strength_value': '325 mg', 'image_name': None, 'required_quantity': 126.0, 'imprint': None,
     'shape': None, 'color': None, 'drug_id': 19030, 'canister_quantity': 1},
    {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg', 'formatted_ndc': '690970128',
     'txr': '16927', 'strength_value': '10', 'image_name': 'CIP01280.JPG', 'required_quantity': 70.0,
     'imprint': '128 <> C', 'shape': 'round', 'color': 'white', 'drug_id': 112190, 'canister_quantity': 2},
    {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg', 'formatted_ndc': '690970128',
     'txr': '16927', 'strength_value': '10', 'image_name': 'CIP01280.JPG', 'required_quantity': 70.0,
     'imprint': '128 <> C', 'shape': 'round', 'color': 'white', 'drug_id': 112190, 'canister_quantity': 2},
    {'drug_name': 'VITAMIN D', 'ndc': '00536379001', 'strength': 'unit', 'formatted_ndc': '005363790', 'txr': '64176',
     'strength_value': '2,000', 'image_name': 'RUG37900.JPG', 'required_quantity': 70.0, 'imprint': None,
     'shape': 'oval', 'color': 'yellow', 'drug_id': 13824, 'canister_quantity': 1},
    {'drug_name': 'HALOPERIDOL', 'ndc': '68382007910', 'strength': 'mg', 'formatted_ndc': '683820079', 'txr': '3977',
     'strength_value': '5', 'image_name': 'ZYD00790.JPG', 'required_quantity': 56.0, 'imprint': 'ZC 07',
     'shape': 'oblong', 'color': 'green', 'drug_id': 106473, 'canister_quantity': 2},
    {'drug_name': 'HALOPERIDOL', 'ndc': '68382007910', 'strength': 'mg', 'formatted_ndc': '683820079', 'txr': '3977',
     'strength_value': '5', 'image_name': 'ZYD00790.JPG', 'required_quantity': 56.0, 'imprint': 'ZC 07',
     'shape': 'oblong', 'color': 'green', 'drug_id': 106473, 'canister_quantity': 2},
    {'drug_name': 'CLOZAPINE', 'ndc': '00093777293', 'strength': 'mg', 'formatted_ndc': '000937772', 'txr': '13649',
     'strength_value': '100', 'image_name': 'TEV37770.JPG', 'required_quantity': 105.0,
     'imprint': 'logo and 7772 <> 100', 'shape': 'round', 'color': 'pale yellow', 'drug_id': 6059,
     'canister_quantity': 1},
    {'drug_name': 'LEVETIRACETAM', 'ndc': '68180011316', 'strength': 'mg', 'formatted_ndc': '681800113', 'txr': '44633',
     'strength_value': '500', 'image_name': 'LUP01130.JPG', 'required_quantity': 84.0, 'imprint': 'L U <> X 02',
     'shape': 'oblong', 'color': 'yellow', 'drug_id': 95272, 'canister_quantity': 1},
    {'drug_name': 'LISINOPRIL', 'ndc': '68180098003', 'strength': 'mg', 'formatted_ndc': '681800980', 'txr': '390',
     'strength_value': '10', 'image_name': 'LUP05140.JPG', 'required_quantity': 42.0, 'imprint': 'LUPIN <> 10',
     'shape': 'round', 'color': 'pink', 'drug_id': 126626, 'canister_quantity': 1},
    {'drug_name': 'CLOZAPINE', 'ndc': '00093435993', 'strength': 'mg', 'formatted_ndc': '000934359', 'txr': '13648',
     'strength_value': '25', 'image_name': 'ZEN43590.JPG', 'required_quantity': 112.0, 'imprint': 'logo and 4359 <> 25',
     'shape': 'round', 'color': 'pale yellow', 'drug_id': 5608, 'canister_quantity': 1},
    {'drug_name': 'OXCARBAZEPINE', 'ndc': '51991029305', 'strength': 'mg', 'formatted_ndc': '519910293', 'txr': '27779',
     'strength_value': '300', 'image_name': 'BKR02930.JPG', 'required_quantity': 112.0, 'imprint': 'B 293',
     'shape': 'oval', 'color': 'beige', 'drug_id': 56739, 'canister_quantity': 1},
    {'drug_name': 'FLUVOXAMINE MALEATE', 'ndc': '62559016001', 'strength': 'mg', 'formatted_ndc': '625590160',
     'txr': '46210', 'strength_value': '100', 'image_name': 'ANI12210.JPG', 'required_quantity': 56.0,
     'imprint': '12 21', 'shape': 'elliptical', 'color': 'beige', 'drug_id': 78830, 'canister_quantity': 1},
    {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '67877024810', 'strength': 'mg', 'formatted_ndc': '678770248',
     'txr': '60293', 'strength_value': '400', 'image_name': None, 'required_quantity': 84.0, 'imprint': '336',
     'shape': 'oblong', 'color': 'yellow', 'drug_id': 118894, 'canister_quantity': 1},
    {'drug_name': 'GLIPIZIDE', 'ndc': '00591046010', 'strength': 'mg', 'formatted_ndc': '005910460', 'txr': '1777',
     'strength_value': '5', 'image_name': 'WTS04600.JPG', 'required_quantity': 70.0, 'imprint': 'WATSON 460',
     'shape': 'round', 'color': 'white', 'drug_id': 14640, 'canister_quantity': 2},
    {'drug_name': 'GLIPIZIDE', 'ndc': '00591046010', 'strength': 'mg', 'formatted_ndc': '005910460', 'txr': '1777',
     'strength_value': '5', 'image_name': 'WTS04600.JPG', 'required_quantity': 70.0, 'imprint': 'WATSON 460',
     'shape': 'round', 'color': 'white', 'drug_id': 14640, 'canister_quantity': 2},
    {'drug_name': 'PHENYTOIN SODIUM EXTENDED', 'ndc': '65162021250', 'strength': 'mg', 'formatted_ndc': '651620212',
     'txr': '4521', 'strength_value': '100', 'image_name': 'AMN02120.JPG', 'required_quantity': 126.0,
     'imprint': 'IP 212 <> IP 212', 'shape': 'oblong', 'color': 'white', 'drug_id': 84415, 'canister_quantity': 1},
    {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '67877024710', 'strength': 'mg', 'formatted_ndc': '678770247',
     'txr': '47198', 'strength_value': '300', 'image_name': 'ASC02470.JPG', 'required_quantity': 84.0, 'imprint': '259',
     'shape': 'oblong', 'color': 'white', 'drug_id': 118893, 'canister_quantity': 1},
    {'drug_name': 'LORAZEPAM', 'ndc': '69315090510', 'strength': 'mg', 'formatted_ndc': '693150905', 'txr': '3758',
     'strength_value': '1', 'image_name': 'MJR60080.JPG', 'required_quantity': 56.0, 'imprint': 'EP 905 <> 1',
     'shape': 'round', 'color': 'white', 'drug_id': 117527, 'canister_quantity': 1},
    {'drug_name': 'OXCARBAZEPINE', 'ndc': '51991029405', 'strength': 'mg', 'formatted_ndc': '519910294', 'txr': '27780',
     'strength_value': '600', 'image_name': 'BKR02940.JPG', 'required_quantity': 56.0, 'imprint': 'B 294',
     'shape': 'oval', 'color': 'beige', 'drug_id': 56741, 'canister_quantity': 1},
    {'drug_name': 'LATUDA', 'ndc': '63402030801', 'strength': 'mg', 'formatted_ndc': '634020308', 'txr': '66933',
     'strength_value': '80', 'image_name': 'SUO03080.JPG', 'required_quantity': 35.0, 'imprint': 'L 80',
     'shape': 'oval', 'color': 'pale green', 'drug_id': 97983, 'canister_quantity': 1},
    {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00781518192', 'strength': 'mcg', 'formatted_ndc': '007815181',
     'txr': '6649', 'strength_value': '50', 'image_name': 'SDZ51810.JPG', 'required_quantity': 28.0,
     'imprint': '50 <> GG 332', 'shape': 'oblong', 'color': 'white', 'drug_id': 18235, 'canister_quantity': 1},
    {'drug_name': 'LORAZEPAM', 'ndc': '69315090610', 'strength': 'mg', 'formatted_ndc': '693150906', 'txr': '3759',
     'strength_value': '2', 'image_name': 'MJR60090.JPG', 'required_quantity': 70.0, 'imprint': 'EP 906 <> 2',
     'shape': 'round', 'color': 'white', 'drug_id': 117530, 'canister_quantity': 1},
    {'drug_name': 'CLOZAPINE', 'ndc': '00093440593', 'strength': 'mg', 'formatted_ndc': '000934405', 'txr': '46416',
     'strength_value': '200', 'image_name': 'TEV44050.JPG', 'required_quantity': 28.0,
     'imprint': 'logo and 4405 <> 200', 'shape': 'oval', 'color': 'pale yellow', 'drug_id': 5616,
     'canister_quantity': 2},
    {'drug_name': 'CLOZAPINE', 'ndc': '00093440593', 'strength': 'mg', 'formatted_ndc': '000934405', 'txr': '46416',
     'strength_value': '200', 'image_name': 'TEV44050.JPG', 'required_quantity': 28.0,
     'imprint': 'logo and 4405 <> 200', 'shape': 'oval', 'color': 'pale yellow', 'drug_id': 5616,
     'canister_quantity': 2},
    {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00527134110', 'strength': 'mcg', 'formatted_ndc': '005271341',
     'txr': '6648', 'strength_value': '25', 'image_name': 'WTS09020.JPG', 'required_quantity': 28.0,
     'imprint': 'JSP <> 513', 'shape': 'round', 'color': 'peach', 'drug_id': 13581, 'canister_quantity': 1},
    {'drug_name': 'BANOPHEN', 'ndc': '00904530680', 'strength': 'mg', 'formatted_ndc': '009045306', 'txr': '11582',
     'strength_value': '25', 'image_name': 'CPC08350.JPG', 'required_quantity': 35.0, 'imprint': 'CPC <> 835',
     'shape': 'oblong', 'color': 'pink', 'drug_id': 18594, 'canister_quantity': 1},
    {'drug_name': 'DESMOPRESSIN ACETATE', 'ndc': '00115164601', 'strength': 'mg', 'formatted_ndc': '001151646',
     'txr': '19596', 'strength_value': '0.1', 'image_name': 'TEV73160.JPG', 'required_quantity': 56.0,
     'imprint': '9 3 <> 7316', 'shape': 'oblong', 'color': 'white', 'drug_id': 124837, 'canister_quantity': 2},
    {'drug_name': 'DESMOPRESSIN ACETATE', 'ndc': '00115164601', 'strength': 'mg', 'formatted_ndc': '001151646',
     'txr': '19596', 'strength_value': '0.1', 'image_name': 'TEV73160.JPG', 'required_quantity': 56.0,
     'imprint': '9 3 <> 7316', 'shape': 'oblong', 'color': 'white', 'drug_id': 124837, 'canister_quantity': 2},
    {'drug_name': 'AMANTADINE', 'ndc': '00591493005', 'strength': 'MG', 'formatted_ndc': '005914930', 'txr': '4575',
     'strength_value': '100', 'image_name': 'ATE49300.JPG', 'required_quantity': 70.0, 'imprint': 'A973',
     'shape': 'oblong', 'color': 'white', 'drug_id': 127582, 'canister_quantity': 1},
    {'drug_name': 'HALOPERIDOL', 'ndc': '00781139613', 'strength': 'mg', 'formatted_ndc': '007811396', 'txr': '3977',
     'strength_value': '5', 'image_name': 'GGG13960.JPG', 'required_quantity': 28.0, 'imprint': 'GG 125',
     'shape': 'round', 'color': 'green', 'drug_id': 17763, 'canister_quantity': 2},
    {'drug_name': 'HALOPERIDOL', 'ndc': '00781139613', 'strength': 'mg', 'formatted_ndc': '007811396', 'txr': '3977',
     'strength_value': '5', 'image_name': 'GGG13960.JPG', 'required_quantity': 28.0, 'imprint': 'GG 125',
     'shape': 'round', 'color': 'green', 'drug_id': 17763, 'canister_quantity': 2}]

September_12 = [{'drug_name': 'FEROSUL', 'ndc': '00904759183', 'strength': '(65 mg iron)', 'formatted_ndc': '009047591',
                 'txr': '1645', 'strength_value': '325 mg', 'image_name': None, 'required_quantity': 210.0,
                 'imprint': None, 'shape': None, 'color': None, 'drug_id': 19030, 'canister_quantity': 1},
                {'drug_name': 'TAMSULOSIN HCL', 'ndc': '57237001405', 'strength': 'mg', 'formatted_ndc': '572370014',
                 'txr': '27546', 'strength_value': '0.4', 'image_name': 'AUR05980.JPG', 'required_quantity': 84.0,
                 'imprint': 'D <> 53', 'shape': 'oblong', 'color': 'orange', 'drug_id': 106426, 'canister_quantity': 1},
                {'drug_name': 'DIVALPROEX SODIUM ER', 'ndc': '65162075750', 'strength': 'mg',
                 'formatted_ndc': '651620757', 'txr': '46315', 'strength_value': '500', 'image_name': 'AMN07570.JPG',
                 'required_quantity': 238.0, 'imprint': 'AN 757', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 118882, 'canister_quantity': 1},
                {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '67877024633', 'strength': 'mg',
                 'formatted_ndc': '678770246', 'txr': '34189', 'strength_value': '200', 'image_name': None,
                 'required_quantity': 98.0, 'imprint': '260', 'shape': 'round', 'color': 'white', 'drug_id': 119071,
                 'canister_quantity': 1},
                {'drug_name': 'HALOPERIDOL', 'ndc': '00781139213', 'strength': 'mg', 'formatted_ndc': '007811392',
                 'txr': '3973', 'strength_value': '1', 'image_name': 'GGG13920.JPG', 'required_quantity': 126.0,
                 'imprint': '123 <> GG', 'shape': 'round', 'color': 'yellow', 'drug_id': 17758, 'canister_quantity': 1},
                {'drug_name': 'CARBIDOPA-LEVODOPA', 'ndc': '62756051888', 'strength': 'mg',
                 'formatted_ndc': '627560518', 'txr': '2538', 'strength_value': '25-100', 'image_name': 'SUN05180.JPG',
                 'required_quantity': 84.0, 'imprint': '518', 'shape': 'oval', 'color': 'yellow', 'drug_id': 79030,
                 'canister_quantity': 1}, {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg',
                                           'formatted_ndc': '690970128', 'txr': '16927', 'strength_value': '10',
                                           'image_name': 'CIP01280.JPG', 'required_quantity': 56.0,
                                           'imprint': '128 <> C', 'shape': 'round', 'color': 'white', 'drug_id': 112190,
                                           'canister_quantity': 2},
                {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg',
                 'formatted_ndc': '690970128', 'txr': '16927', 'strength_value': '10', 'image_name': 'CIP01280.JPG',
                 'required_quantity': 56.0, 'imprint': '128 <> C', 'shape': 'round', 'color': 'white',
                 'drug_id': 112190, 'canister_quantity': 2},
                {'drug_name': 'CLOPIDOGREL', 'ndc': '16729021816', 'strength': 'mg', 'formatted_ndc': '167290218',
                 'txr': '38164', 'strength_value': '75', 'image_name': 'ACI02180.JPG', 'required_quantity': 42.0,
                 'imprint': 'CI', 'shape': 'round', 'color': 'pink', 'drug_id': 32058, 'canister_quantity': 1},
                {'drug_name': 'VITAMIN D3', 'ndc': '00904598660', 'strength': 'unit', 'formatted_ndc': '009045986',
                 'txr': '12016', 'strength_value': '5,000', 'image_name': 'MJR59860.JPG', 'required_quantity': 56.0,
                 'imprint': None, 'shape': 'oblong', 'color': 'clear', 'drug_id': 18905, 'canister_quantity': 1},
                {'drug_name': 'PHENYTOIN SODIUM EXTENDED', 'ndc': '65162021250', 'strength': 'mg',
                 'formatted_ndc': '651620212', 'txr': '4521', 'strength_value': '100', 'image_name': 'AMN02120.JPG',
                 'required_quantity': 168.0, 'imprint': 'IP 212 <> IP 212', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 84415, 'canister_quantity': 1},
                {'drug_name': 'HALOPERIDOL', 'ndc': '68382007910', 'strength': 'mg', 'formatted_ndc': '683820079',
                 'txr': '3977', 'strength_value': '5', 'image_name': 'ZYD00790.JPG', 'required_quantity': 140.0,
                 'imprint': 'ZC 07', 'shape': 'oblong', 'color': 'green', 'drug_id': 106473, 'canister_quantity': 2},
                {'drug_name': 'HALOPERIDOL', 'ndc': '68382007910', 'strength': 'mg', 'formatted_ndc': '683820079',
                 'txr': '3977', 'strength_value': '5', 'image_name': 'ZYD00790.JPG', 'required_quantity': 140.0,
                 'imprint': 'ZC 07', 'shape': 'oblong', 'color': 'green', 'drug_id': 106473, 'canister_quantity': 2},
                {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '67877024710', 'strength': 'mg',
                 'formatted_ndc': '678770247', 'txr': '47198', 'strength_value': '300', 'image_name': 'ASC02470.JPG',
                 'required_quantity': 84.0, 'imprint': '259', 'shape': 'oblong', 'color': 'white', 'drug_id': 118893,
                 'canister_quantity': 1},
                {'drug_name': 'SENNA LAXATIVE', 'ndc': '49781014851', 'strength': 'MG', 'formatted_ndc': '497810148',
                 'txr': '19964', 'strength_value': '8.6', 'image_name': 'ABC00463.JPG', 'required_quantity': 98.0,
                 'imprint': 'TCL 080', 'shape': 'round', 'color': 'light brown', 'drug_id': 127581,
                 'canister_quantity': 1},
                {'drug_name': 'VITAMIN B COMPLEX', 'ndc': '54629056001', 'strength': '', 'formatted_ndc': '546290560',
                 'txr': '2064', 'strength_value': '', 'image_name': None, 'required_quantity': 28.0, 'imprint': None,
                 'shape': None, 'color': None, 'drug_id': 158806, 'canister_quantity': 2},
                {'drug_name': 'VITAMIN B COMPLEX', 'ndc': '54629056001', 'strength': '', 'formatted_ndc': '546290560',
                 'txr': '2064', 'strength_value': '', 'image_name': None, 'required_quantity': 28.0, 'imprint': None,
                 'shape': None, 'color': None, 'drug_id': 158806, 'canister_quantity': 2},
                {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012615', 'strength': 'mg',
                 'formatted_ndc': '690970126', 'txr': '16925', 'strength_value': '2.5', 'image_name': 'CIP01260.JPG',
                 'required_quantity': 42.0, 'imprint': '126 <> C', 'shape': 'round', 'color': 'white',
                 'drug_id': 112186, 'canister_quantity': 1},
                {'drug_name': 'PRAMIPEXOLE DIHYDROCHLORIDE', 'ndc': '68382019816', 'strength': 'mg',
                 'formatted_ndc': '683820198', 'txr': '39100', 'strength_value': '0.5', 'image_name': 'ZYD01980.JPG',
                 'required_quantity': 28.0, 'imprint': 'P 3', 'shape': 'oblong', 'color': 'lavender', 'drug_id': 92851,
                 'canister_quantity': 2},
                {'drug_name': 'PRAMIPEXOLE DIHYDROCHLORIDE', 'ndc': '68382019816', 'strength': 'mg',
                 'formatted_ndc': '683820198', 'txr': '39100', 'strength_value': '0.5', 'image_name': 'ZYD01980.JPG',
                 'required_quantity': 28.0, 'imprint': 'P 3', 'shape': 'oblong', 'color': 'lavender', 'drug_id': 92851,
                 'canister_quantity': 2},
                {'drug_name': 'HYDRALAZINE HCL', 'ndc': '31722052010', 'strength': 'mg', 'formatted_ndc': '317220520',
                 'txr': '286', 'strength_value': '25', 'image_name': 'CBR05200.JPG', 'required_quantity': 70.0,
                 'imprint': 'H <> 39', 'shape': 'round', 'color': 'orange', 'drug_id': 35848, 'canister_quantity': 1},
                {'drug_name': 'GABAPENTIN', 'ndc': '67877022310', 'strength': 'mg', 'formatted_ndc': '678770223',
                 'txr': '21414', 'strength_value': '300', 'image_name': 'ASC02230.JPG', 'required_quantity': 154.0,
                 'imprint': '215', 'shape': 'oblong', 'color': 'yellow', 'drug_id': 90068, 'canister_quantity': 1},
                {'drug_name': 'ATORVASTATIN CALCIUM', 'ndc': '60505258009', 'strength': 'mg',
                 'formatted_ndc': '605052580', 'txr': '29969', 'strength_value': '40', 'image_name': 'ATX25800.JPG',
                 'required_quantity': 42.0, 'imprint': 'APO <> ATV40', 'shape': 'oval', 'color': 'white',
                 'drug_id': 76708, 'canister_quantity': 1},
                {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00527134110', 'strength': 'mcg',
                 'formatted_ndc': '005271341', 'txr': '6648', 'strength_value': '25', 'image_name': 'WTS09020.JPG',
                 'required_quantity': 28.0, 'imprint': 'JSP <> 513', 'shape': 'round', 'color': 'peach',
                 'drug_id': 13581, 'canister_quantity': 1},
                {'drug_name': 'LEVETIRACETAM', 'ndc': '68180011316', 'strength': 'mg', 'formatted_ndc': '681800113',
                 'txr': '44633', 'strength_value': '500', 'image_name': 'LUP01130.JPG', 'required_quantity': 56.0,
                 'imprint': 'L U <> X 02', 'shape': 'oblong', 'color': 'yellow', 'drug_id': 95272,
                 'canister_quantity': 1},
                {'drug_name': 'OYSTER SHELL CALCIUM', 'ndc': '00904188392', 'strength': '(1,250 mg)',
                 'formatted_ndc': '009041883', 'txr': '1340', 'strength_value': '500 mg calcium',
                 'image_name': 'ABC12345.JPG', 'required_quantity': 70.0, 'imprint': None, 'shape': 'oblong',
                 'color': 'light green', 'drug_id': 19938, 'canister_quantity': 1},
                {'drug_name': 'LATUDA', 'ndc': '63402030801', 'strength': 'mg', 'formatted_ndc': '634020308',
                 'txr': '66933', 'strength_value': '80', 'image_name': 'SUO03080.JPG', 'required_quantity': 28.0,
                 'imprint': 'L 80', 'shape': 'oval', 'color': 'pale green', 'drug_id': 97983, 'canister_quantity': 1},
                {'drug_name': 'LITHIUM CARBONATE', 'ndc': '00054452731', 'strength': 'mg', 'formatted_ndc': '000544527',
                 'txr': '4003', 'strength_value': '300', 'image_name': 'ROX45270.JPG', 'required_quantity': 70.0,
                 'imprint': '54 452', 'shape': 'round', 'color': 'white', 'drug_id': 3077, 'canister_quantity': 2},
                {'drug_name': 'LITHIUM CARBONATE', 'ndc': '00054452731', 'strength': 'mg', 'formatted_ndc': '000544527',
                 'txr': '4003', 'strength_value': '300', 'image_name': 'ROX45270.JPG', 'required_quantity': 70.0,
                 'imprint': '54 452', 'shape': 'round', 'color': 'white', 'drug_id': 3077, 'canister_quantity': 2},
                {'drug_name': 'VITAMIN D', 'ndc': '00536379001', 'strength': 'unit', 'formatted_ndc': '005363790',
                 'txr': '64176', 'strength_value': '2,000', 'image_name': 'RUG37900.JPG', 'required_quantity': 28.0,
                 'imprint': None, 'shape': 'oval', 'color': 'yellow', 'drug_id': 13824, 'canister_quantity': 1},
                {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00781518192', 'strength': 'mcg',
                 'formatted_ndc': '007815181', 'txr': '6649', 'strength_value': '50', 'image_name': 'SDZ51810.JPG',
                 'required_quantity': 42.0, 'imprint': '50 <> GG 332', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 18235, 'canister_quantity': 1},
                {'drug_name': 'DIVALPROEX SODIUM', 'ndc': '62756079788', 'strength': 'mg', 'formatted_ndc': '627560797',
                 'txr': '4539', 'strength_value': '250', 'image_name': 'SUN07970.JPG', 'required_quantity': 42.0,
                 'imprint': '797', 'shape': 'oval', 'color': 'orange', 'drug_id': 79077, 'canister_quantity': 1},
                {'drug_name': 'LEVETIRACETAM', 'ndc': '68180011507', 'strength': 'mg', 'formatted_ndc': '681800115',
                 'txr': '47077', 'strength_value': '1,000', 'image_name': 'LUP01150.JPG', 'required_quantity': 56.0,
                 'imprint': 'L U <> X 04', 'shape': 'oblong', 'color': 'white', 'drug_id': 95276,
                 'canister_quantity': 2},
                {'drug_name': 'LEVETIRACETAM', 'ndc': '68180011507', 'strength': 'mg', 'formatted_ndc': '681800115',
                 'txr': '47077', 'strength_value': '1,000', 'image_name': 'LUP01150.JPG', 'required_quantity': 56.0,
                 'imprint': 'L U <> X 04', 'shape': 'oblong', 'color': 'white', 'drug_id': 95276,
                 'canister_quantity': 2},
                {'drug_name': 'FLUOXETINE HCL', 'ndc': '65862019299', 'strength': 'mg', 'formatted_ndc': '658620192',
                 'txr': '46213', 'strength_value': '10', 'image_name': 'AUR01920.JPG', 'required_quantity': 28.0,
                 'imprint': 'E <> 88', 'shape': 'oblong', 'color': 'green', 'drug_id': 85330, 'canister_quantity': 2},
                {'drug_name': 'FLUOXETINE HCL', 'ndc': '65862019299', 'strength': 'mg', 'formatted_ndc': '658620192',
                 'txr': '46213', 'strength_value': '10', 'image_name': 'AUR01920.JPG', 'required_quantity': 28.0,
                 'imprint': 'E <> 88', 'shape': 'oblong', 'color': 'green', 'drug_id': 85330, 'canister_quantity': 2}]

September_11 = [{'drug_name': 'FEROSUL', 'ndc': '00904759183', 'strength': '(65 mg iron)', 'formatted_ndc': '009047591',
                 'txr': '1645', 'strength_value': '325 mg', 'image_name': None, 'required_quantity': 210.0,
                 'imprint': None, 'shape': None, 'color': None, 'drug_id': 19030, 'canister_quantity': 1},
                {'drug_name': 'METOPROLOL SUCCINATE', 'ndc': '62037083010', 'strength': 'mg',
                 'formatted_ndc': '620370830', 'txr': '47586', 'strength_value': '25', 'image_name': 'SDZ08300.JPG',
                 'required_quantity': 70.0, 'imprint': 'logo and M', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 78579, 'canister_quantity': 1},
                {'drug_name': 'OYSTER SHELL CALCIUM', 'ndc': '00904188392', 'strength': '(1,250 mg)',
                 'formatted_ndc': '009041883', 'txr': '1340', 'strength_value': '500 mg calcium',
                 'image_name': 'ABC12345.JPG', 'required_quantity': 140.0, 'imprint': None, 'shape': 'oblong',
                 'color': 'light green', 'drug_id': 19938, 'canister_quantity': 1},
                {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '16729014617', 'strength': 'mg',
                 'formatted_ndc': '167290146', 'txr': '60292', 'strength_value': '50', 'image_name': 'ACI01460.JPG',
                 'required_quantity': 84.0, 'imprint': '50', 'shape': 'round', 'color': 'white', 'drug_id': 32030,
                 'canister_quantity': 1},
                {'drug_name': 'LISINOPRIL', 'ndc': '68180098003', 'strength': 'mg', 'formatted_ndc': '681800980',
                 'txr': '390', 'strength_value': '10', 'image_name': 'LUP05140.JPG', 'required_quantity': 84.0,
                 'imprint': 'LUPIN <> 10', 'shape': 'round', 'color': 'pink', 'drug_id': 126626,
                 'canister_quantity': 1},
                {'drug_name': 'ZIPRASIDONE HCL', 'ndc': '55111025760', 'strength': 'mg', 'formatted_ndc': '551110257',
                 'txr': '47564', 'strength_value': '40', 'image_name': 'DRR02570.JPG', 'required_quantity': 84.0,
                 'imprint': 'RDY <> 257', 'shape': 'oblong', 'color': 'lavender', 'drug_id': 68378,
                 'canister_quantity': 2},
                {'drug_name': 'ZIPRASIDONE HCL', 'ndc': '55111025760', 'strength': 'mg', 'formatted_ndc': '551110257',
                 'txr': '47564', 'strength_value': '40', 'image_name': 'DRR02570.JPG', 'required_quantity': 84.0,
                 'imprint': 'RDY <> 257', 'shape': 'oblong', 'color': 'lavender', 'drug_id': 68378,
                 'canister_quantity': 2},
                {'drug_name': 'MULTIVITAMINS', 'ndc': '00536404610', 'strength': '', 'formatted_ndc': '005364046',
                 'txr': '2532', 'strength_value': '', 'image_name': 'RUG40460.JPG', 'required_quantity': 84.0,
                 'imprint': None, 'shape': 'oval', 'color': 'red', 'drug_id': 127580, 'canister_quantity': 1},
                {'drug_name': 'RISPERIDONE', 'ndc': '68382011314', 'strength': 'mg', 'formatted_ndc': '683820113',
                 'txr': '42923', 'strength_value': '0.5', 'image_name': 'ZYD01130.JPG', 'required_quantity': 28.0,
                 'imprint': 'Z <> 6', 'shape': 'round', 'color': 'red-brown', 'drug_id': 92789, 'canister_quantity': 2},
                {'drug_name': 'RISPERIDONE', 'ndc': '68382011314', 'strength': 'mg', 'formatted_ndc': '683820113',
                 'txr': '42923', 'strength_value': '0.5', 'image_name': 'ZYD01130.JPG', 'required_quantity': 28.0,
                 'imprint': 'Z <> 6', 'shape': 'round', 'color': 'red-brown', 'drug_id': 92789, 'canister_quantity': 2},
                {'drug_name': 'DIVALPROEX SODIUM ER', 'ndc': '65162075750', 'strength': 'mg',
                 'formatted_ndc': '651620757', 'txr': '46315', 'strength_value': '500', 'image_name': 'AMN07570.JPG',
                 'required_quantity': 98.0, 'imprint': 'AN 757', 'shape': 'oblong', 'color': 'white', 'drug_id': 118882,
                 'canister_quantity': 1},
                {'drug_name': 'TAMSULOSIN HCL', 'ndc': '57237001405', 'strength': 'mg', 'formatted_ndc': '572370014',
                 'txr': '27546', 'strength_value': '0.4', 'image_name': 'AUR05980.JPG', 'required_quantity': 84.0,
                 'imprint': 'D <> 53', 'shape': 'oblong', 'color': 'orange', 'drug_id': 106426, 'canister_quantity': 1},
                {'drug_name': 'VITAMIN D', 'ndc': '00536379001', 'strength': 'unit', 'formatted_ndc': '005363790',
                 'txr': '64176', 'strength_value': '2,000', 'image_name': 'RUG37900.JPG', 'required_quantity': 84.0,
                 'imprint': None, 'shape': 'oval', 'color': 'yellow', 'drug_id': 13824, 'canister_quantity': 1},
                {'drug_name': 'FUROSEMIDE', 'ndc': '69315011710', 'strength': 'mg', 'formatted_ndc': '693150117',
                 'txr': '8209', 'strength_value': '40', 'image_name': 'AHP00160.JPG', 'required_quantity': 35.0,
                 'imprint': 'EP 117 <> 40', 'shape': 'round', 'color': 'white', 'drug_id': 117505,
                 'canister_quantity': 1}, {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg',
                                           'formatted_ndc': '690970128', 'txr': '16927', 'strength_value': '10',
                                           'image_name': 'CIP01280.JPG', 'required_quantity': 42.0,
                                           'imprint': '128 <> C', 'shape': 'round', 'color': 'white', 'drug_id': 112190,
                                           'canister_quantity': 2},
                {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg',
                 'formatted_ndc': '690970128', 'txr': '16927', 'strength_value': '10', 'image_name': 'CIP01280.JPG',
                 'required_quantity': 42.0, 'imprint': '128 <> C', 'shape': 'round', 'color': 'white',
                 'drug_id': 112190, 'canister_quantity': 2},
                {'drug_name': 'ATORVASTATIN CALCIUM', 'ndc': '60505258009', 'strength': 'mg',
                 'formatted_ndc': '605052580', 'txr': '29969', 'strength_value': '40', 'image_name': 'ATX25800.JPG',
                 'required_quantity': 56.0, 'imprint': 'APO <> ATV40', 'shape': 'oval', 'color': 'white',
                 'drug_id': 76708, 'canister_quantity': 1},
                {'drug_name': 'PHENYTOIN SODIUM EXTENDED', 'ndc': '65162021250', 'strength': 'mg',
                 'formatted_ndc': '651620212', 'txr': '4521', 'strength_value': '100', 'image_name': 'AMN02120.JPG',
                 'required_quantity': 84.0, 'imprint': 'IP 212 <> IP 212', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 84415, 'canister_quantity': 1},
                {'drug_name': 'CARBIDOPA-LEVODOPA', 'ndc': '62756051888', 'strength': 'mg',
                 'formatted_ndc': '627560518', 'txr': '2538', 'strength_value': '25-100', 'image_name': 'SUN05180.JPG',
                 'required_quantity': 70.0, 'imprint': '518', 'shape': 'oval', 'color': 'yellow', 'drug_id': 79030,
                 'canister_quantity': 1},
                {'drug_name': 'GLIPIZIDE', 'ndc': '60505014108', 'strength': 'mg', 'formatted_ndc': '605050141',
                 'txr': '1777', 'strength_value': '5', 'image_name': 'ATX01410.JPG', 'required_quantity': 28.0,
                 'imprint': 'APO <> GLP 5', 'shape': 'round', 'color': 'white', 'drug_id': 76482,
                 'canister_quantity': 2},
                {'drug_name': 'GLIPIZIDE', 'ndc': '60505014108', 'strength': 'mg', 'formatted_ndc': '605050141',
                 'txr': '1777', 'strength_value': '5', 'image_name': 'ATX01410.JPG', 'required_quantity': 28.0,
                 'imprint': 'APO <> GLP 5', 'shape': 'round', 'color': 'white', 'drug_id': 76482,
                 'canister_quantity': 2},
                {'drug_name': 'HYDRALAZINE HCL', 'ndc': '23155000110', 'strength': 'mg', 'formatted_ndc': '231550001',
                 'txr': '284', 'strength_value': '10', 'image_name': 'HER00010.JPG', 'required_quantity': 28.0,
                 'imprint': 'HP 1', 'shape': 'round', 'color': 'pink', 'drug_id': 33573, 'canister_quantity': 2},
                {'drug_name': 'HYDRALAZINE HCL', 'ndc': '23155000110', 'strength': 'mg', 'formatted_ndc': '231550001',
                 'txr': '284', 'strength_value': '10', 'image_name': 'HER00010.JPG', 'required_quantity': 28.0,
                 'imprint': 'HP 1', 'shape': 'round', 'color': 'pink', 'drug_id': 33573, 'canister_quantity': 2},
                {'drug_name': 'GABAPENTIN', 'ndc': '71093011105', 'strength': 'MG', 'formatted_ndc': '710930111',
                 'txr': '41805', 'strength_value': '600', 'image_name': 'SLC03320.JPG', 'required_quantity': 84.0,
                 'imprint': 'NT 150', 'shape': 'oval', 'color': 'white', 'drug_id': 127611, 'canister_quantity': 1},
                {'drug_name': 'VITAMIN D3', 'ndc': '74312015606', 'strength': 'unit', 'formatted_ndc': '743120156',
                 'txr': '2173', 'strength_value': '1,000', 'image_name': None, 'required_quantity': 28.0,
                 'imprint': None, 'shape': None, 'color': None, 'drug_id': 97999, 'canister_quantity': 2},
                {'drug_name': 'VITAMIN D3', 'ndc': '74312015606', 'strength': 'unit', 'formatted_ndc': '743120156',
                 'txr': '2173', 'strength_value': '1,000', 'image_name': None, 'required_quantity': 28.0,
                 'imprint': None, 'shape': None, 'color': None, 'drug_id': 97999, 'canister_quantity': 2},
                {'drug_name': 'METFORMIN HCL ER', 'ndc': '62756014202', 'strength': 'mg', 'formatted_ndc': '627560142',
                 'txr': '46754', 'strength_value': '500', 'image_name': 'SUN01420.JPG', 'required_quantity': 56.0,
                 'imprint': '142', 'shape': 'oblong', 'color': 'white', 'drug_id': 78946, 'canister_quantity': 1},
                {'drug_name': 'ISOSORBIDE DINITRATE', 'ndc': '00781169513', 'strength': 'mg',
                 'formatted_ndc': '007811695', 'txr': '508', 'strength_value': '20', 'image_name': 'GG16950.JPG',
                 'required_quantity': 28.0, 'imprint': 'GG 227', 'shape': 'round', 'color': 'green', 'drug_id': 17836,
                 'canister_quantity': 2}, {'drug_name': 'ISOSORBIDE DINITRATE', 'ndc': '00781169513', 'strength': 'mg',
                                           'formatted_ndc': '007811695', 'txr': '508', 'strength_value': '20',
                                           'image_name': 'GG16950.JPG', 'required_quantity': 28.0, 'imprint': 'GG 227',
                                           'shape': 'round', 'color': 'green', 'drug_id': 17836,
                                           'canister_quantity': 2},
                {'drug_name': 'KLOR-CON SPRINKLE', 'ndc': '66758020505', 'strength': 'mEq',
                 'formatted_ndc': '667580205', 'txr': '1248', 'strength_value': '10', 'image_name': None,
                 'required_quantity': 21.0, 'imprint': 'UPSHER-SMITH 0102 <> KCI 10 MEQ', 'shape': 'oblong',
                 'color': 'yellow', 'drug_id': 122319, 'canister_quantity': 2},
                {'drug_name': 'KLOR-CON SPRINKLE', 'ndc': '66758020505', 'strength': 'mEq',
                 'formatted_ndc': '667580205', 'txr': '1248', 'strength_value': '10', 'image_name': None,
                 'required_quantity': 21.0, 'imprint': 'UPSHER-SMITH 0102 <> KCI 10 MEQ', 'shape': 'oblong',
                 'color': 'yellow', 'drug_id': 122319, 'canister_quantity': 2},
                {'drug_name': 'BUSPIRONE HCL', 'ndc': '16729028912', 'strength': 'mg', 'formatted_ndc': '167290289',
                 'txr': '44210', 'strength_value': '30', 'image_name': None, 'required_quantity': 56.0,
                 'imprint': 'B 8', 'shape': 'rectangular', 'color': 'white', 'drug_id': 124091, 'canister_quantity': 1},
                {'drug_name': 'TRAZODONE HCL', 'ndc': '50111044102', 'strength': 'mg', 'formatted_ndc': '501110441',
                 'txr': '46243', 'strength_value': '150', 'image_name': 'PLV04411.JPG', 'required_quantity': 42.0,
                 'imprint': 'PLIVA 441 <> 50 50 50', 'shape': 'trapezoidal', 'color': 'white', 'drug_id': 51802,
                 'canister_quantity': 1}, {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00527134110', 'strength': 'mcg',
                                           'formatted_ndc': '005271341', 'txr': '6648', 'strength_value': '25',
                                           'image_name': 'WTS09020.JPG', 'required_quantity': 21.0,
                                           'imprint': 'JSP <> 513', 'shape': 'round', 'color': 'peach',
                                           'drug_id': 13581, 'canister_quantity': 1}]

September_09 = [{'drug_name': 'FEROSUL', 'ndc': '00904759183', 'strength': '(65 mg iron)', 'formatted_ndc': '009047591',
                 'txr': '1645', 'strength_value': '325 mg', 'image_name': None, 'required_quantity': 140.0,
                 'imprint': None, 'shape': None, 'color': None, 'drug_id': 19030, 'canister_quantity': 1},
                {'drug_name': 'OYSTER SHELL CALCIUM', 'ndc': '00904188392', 'strength': '(1,250 mg)',
                 'formatted_ndc': '009041883', 'txr': '1340', 'strength_value': '500 mg calcium',
                 'image_name': 'ABC12345.JPG', 'required_quantity': 112.0, 'imprint': None, 'shape': 'oblong',
                 'color': 'light green', 'drug_id': 19938, 'canister_quantity': 1},
                {'drug_name': 'VITAMIN D', 'ndc': '00536379001', 'strength': 'unit', 'formatted_ndc': '005363790',
                 'txr': '64176', 'strength_value': '2,000', 'image_name': 'RUG37900.JPG', 'required_quantity': 98.0,
                 'imprint': None, 'shape': 'oval', 'color': 'yellow', 'drug_id': 13824, 'canister_quantity': 1},
                {'drug_name': 'ESCITALOPRAM OXALATE', 'ndc': '00378385693', 'strength': 'mg',
                 'formatted_ndc': '003783856', 'txr': '50712', 'strength_value': '10', 'image_name': 'MYN38560.JPG',
                 'required_quantity': 70.0, 'imprint': 'M <> EC 10', 'shape': 'round', 'color': 'white',
                 'drug_id': 11286, 'canister_quantity': 1},
                {'drug_name': 'OMEPRAZOLE', 'ndc': '60505006508', 'strength': 'mg', 'formatted_ndc': '605050065',
                 'txr': '33530', 'strength_value': '20', 'image_name': 'ATX00650.JPG', 'required_quantity': 42.0,
                 'imprint': 'APO <> 020', 'shape': 'oblong', 'color': 'pink', 'drug_id': 76420, 'canister_quantity': 1},
                {'drug_name': 'ARIPIPRAZOLE', 'ndc': '31722083030', 'strength': 'mg', 'formatted_ndc': '317220830',
                 'txr': '51336', 'strength_value': '30', 'image_name': 'CBR08300.JPG', 'required_quantity': 42.0,
                 'imprint': 'I <> 99', 'shape': 'round', 'color': 'light pink', 'drug_id': 111453,
                 'canister_quantity': 1},
                {'drug_name': 'MULTIVITAMINS', 'ndc': '00536404610', 'strength': '', 'formatted_ndc': '005364046',
                 'txr': '2532', 'strength_value': '', 'image_name': 'RUG40460.JPG', 'required_quantity': 42.0,
                 'imprint': None, 'shape': 'oval', 'color': 'red', 'drug_id': 127580, 'canister_quantity': 1},
                {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg',
                 'formatted_ndc': '690970128', 'txr': '16927', 'strength_value': '10', 'image_name': 'CIP01280.JPG',
                 'required_quantity': 42.0, 'imprint': '128 <> C', 'shape': 'round', 'color': 'white',
                 'drug_id': 112190, 'canister_quantity': 2},
                {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg',
                 'formatted_ndc': '690970128', 'txr': '16927', 'strength_value': '10', 'image_name': 'CIP01280.JPG',
                 'required_quantity': 42.0, 'imprint': '128 <> C', 'shape': 'round', 'color': 'white',
                 'drug_id': 112190, 'canister_quantity': 2},
                {'drug_name': 'FUROSEMIDE', 'ndc': '69315011710', 'strength': 'mg', 'formatted_ndc': '693150117',
                 'txr': '8209', 'strength_value': '40', 'image_name': 'AHP00160.JPG', 'required_quantity': 28.0,
                 'imprint': 'EP 117 <> 40', 'shape': 'round', 'color': 'white', 'drug_id': 117505,
                 'canister_quantity': 1}, {'drug_name': 'HYDROCHLOROTHIAZIDE', 'ndc': '29300013010', 'strength': 'mg',
                                           'formatted_ndc': '293000130', 'txr': '29832', 'strength_value': '12.5',
                                           'image_name': 'UCP01300.JPG', 'required_quantity': 28.0,
                                           'imprint': 'U <> 130', 'shape': 'oblong', 'color': 'white', 'drug_id': 35464,
                                           'canister_quantity': 2},
                {'drug_name': 'HYDROCHLOROTHIAZIDE', 'ndc': '29300013010', 'strength': 'mg',
                 'formatted_ndc': '293000130', 'txr': '29832', 'strength_value': '12.5', 'image_name': 'UCP01300.JPG',
                 'required_quantity': 28.0, 'imprint': 'U <> 130', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 35464, 'canister_quantity': 2},
                {'drug_name': 'ATORVASTATIN CALCIUM', 'ndc': '00378395309', 'strength': 'mg',
                 'formatted_ndc': '003783953', 'txr': '45772', 'strength_value': '80', 'image_name': 'MYN39530.JPG',
                 'required_quantity': 28.0, 'imprint': '80', 'shape': 'oval', 'color': 'white', 'drug_id': 122158,
                 'canister_quantity': 2}, {'drug_name': 'ATORVASTATIN CALCIUM', 'ndc': '00378395309', 'strength': 'mg',
                                           'formatted_ndc': '003783953', 'txr': '45772', 'strength_value': '80',
                                           'image_name': 'MYN39530.JPG', 'required_quantity': 28.0, 'imprint': '80',
                                           'shape': 'oval', 'color': 'white', 'drug_id': 122158,
                                           'canister_quantity': 2},
                {'drug_name': 'CLOPIDOGREL', 'ndc': '16729021816', 'strength': 'mg', 'formatted_ndc': '167290218',
                 'txr': '38164', 'strength_value': '75', 'image_name': 'ACI02180.JPG', 'required_quantity': 28.0,
                 'imprint': 'CI', 'shape': 'round', 'color': 'pink', 'drug_id': 32058, 'canister_quantity': 1},
                {'drug_name': 'SERTRALINE HCL', 'ndc': '68180035309', 'strength': 'mg', 'formatted_ndc': '681800353',
                 'txr': '46229', 'strength_value': '100', 'image_name': 'LUP03530.JPG', 'required_quantity': 28.0,
                 'imprint': 'L U <> D03', 'shape': 'oblong', 'color': 'yellow', 'drug_id': 95356,
                 'canister_quantity': 1}, {'drug_name': 'CARBIDOPA-LEVODOPA ER', 'ndc': '62756046188', 'strength': 'mg',
                                           'formatted_ndc': '627560461', 'txr': '19563', 'strength_value': '25-100',
                                           'image_name': 'SUN04610.JPG', 'required_quantity': 98.0, 'imprint': '461',
                                           'shape': 'oval', 'color': 'buff', 'drug_id': 79020, 'canister_quantity': 2},
                {'drug_name': 'CARBIDOPA-LEVODOPA ER', 'ndc': '62756046188', 'strength': 'mg',
                 'formatted_ndc': '627560461', 'txr': '19563', 'strength_value': '25-100', 'image_name': 'SUN04610.JPG',
                 'required_quantity': 98.0, 'imprint': '461', 'shape': 'oval', 'color': 'buff', 'drug_id': 79020,
                 'canister_quantity': 2},
                {'drug_name': 'PHENOBARBITAL', 'ndc': '00143145501', 'strength': 'mg', 'formatted_ndc': '001431455',
                 'txr': '3591', 'strength_value': '60', 'image_name': 'WWW14550.JPG', 'required_quantity': 14.0,
                 'imprint': 'WW 455', 'shape': 'round', 'color': 'white', 'drug_id': 115889, 'canister_quantity': 2},
                {'drug_name': 'PHENOBARBITAL', 'ndc': '00143145501', 'strength': 'mg', 'formatted_ndc': '001431455',
                 'txr': '3591', 'strength_value': '60', 'image_name': 'WWW14550.JPG', 'required_quantity': 14.0,
                 'imprint': 'WW 455', 'shape': 'round', 'color': 'white', 'drug_id': 115889, 'canister_quantity': 2},
                {'drug_name': 'PHENYTOIN SODIUM EXTENDED', 'ndc': '65162021250', 'strength': 'mg',
                 'formatted_ndc': '651620212', 'txr': '4521', 'strength_value': '100', 'image_name': 'AMN02120.JPG',
                 'required_quantity': 35.0, 'imprint': 'IP 212 <> IP 212', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 84415, 'canister_quantity': 1},
                {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00781518192', 'strength': 'mcg',
                 'formatted_ndc': '007815181', 'txr': '6649', 'strength_value': '50', 'image_name': 'SDZ51810.JPG',
                 'required_quantity': 14.0, 'imprint': '50 <> GG 332', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 18235, 'canister_quantity': 1},
                {'drug_name': 'BACLOFEN', 'ndc': '00172409680', 'strength': 'mg', 'formatted_ndc': '001724096',
                 'txr': '4679', 'strength_value': '10', 'image_name': 'TEV40960.JPG', 'required_quantity': 14.0,
                 'imprint': 'TV <> 4096', 'shape': 'round', 'color': 'white', 'drug_id': 7482, 'canister_quantity': 1},
                {'drug_name': 'BUSPIRONE HCL', 'ndc': '16729028912', 'strength': 'mg', 'formatted_ndc': '167290289',
                 'txr': '44210', 'strength_value': '30', 'image_name': None, 'required_quantity': 28.0,
                 'imprint': 'B 8', 'shape': 'rectangular', 'color': 'white', 'drug_id': 124091, 'canister_quantity': 1},
                {'drug_name': 'QUETIAPINE FUMARATE ER', 'ndc': '68180061607', 'strength': 'MG',
                 'formatted_ndc': '681800616', 'txr': '62750', 'strength_value': '400', 'image_name': None,
                 'required_quantity': 14.0, 'imprint': 'LU <> K75', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 127609, 'canister_quantity': 1},
                {'drug_name': 'VITAMIN D3', 'ndc': '74312001140', 'strength': 'unit', 'formatted_ndc': '743120011',
                 'txr': '19166', 'strength_value': '400', 'image_name': 'NAT00110.JPG', 'required_quantity': 14.0,
                 'imprint': None, 'shape': 'round', 'color': 'white', 'drug_id': 94568, 'canister_quantity': 1},
                {'drug_name': 'METFORMIN HCL', 'ndc': '23155010306', 'strength': 'mg', 'formatted_ndc': '231550103',
                 'txr': '16441', 'strength_value': '850', 'image_name': 'HER01030.JPG', 'required_quantity': 42.0,
                 'imprint': 'H 103', 'shape': 'round', 'color': 'white', 'drug_id': 114635, 'canister_quantity': 1},
                {'drug_name': 'HYDRALAZINE HCL', 'ndc': '31722052010', 'strength': 'mg', 'formatted_ndc': '317220520',
                 'txr': '286', 'strength_value': '25', 'image_name': 'CBR05200.JPG', 'required_quantity': 28.0,
                 'imprint': 'H <> 39', 'shape': 'round', 'color': 'orange', 'drug_id': 35848, 'canister_quantity': 1},
                {'drug_name': 'OXCARBAZEPINE', 'ndc': '51991029305', 'strength': 'mg', 'formatted_ndc': '519910293',
                 'txr': '27779', 'strength_value': '300', 'image_name': 'BKR02930.JPG', 'required_quantity': 28.0,
                 'imprint': 'B 293', 'shape': 'oval', 'color': 'beige', 'drug_id': 56739, 'canister_quantity': 1},
                {'drug_name': 'CARBIDOPA-LEVODOPA', 'ndc': '62756051888', 'strength': 'mg',
                 'formatted_ndc': '627560518', 'txr': '2538', 'strength_value': '25-100', 'image_name': 'SUN05180.JPG',
                 'required_quantity': 70.0, 'imprint': '518', 'shape': 'oval', 'color': 'yellow', 'drug_id': 79030,
                 'canister_quantity': 1}, {'drug_name': 'ALENDRONATE SODIUM', 'ndc': '69097022476', 'strength': 'mg',
                                           'formatted_ndc': '690970224', 'txr': '46941', 'strength_value': '70',
                                           'image_name': 'CIP02240.JPG', 'required_quantity': 2.0, 'imprint': 'C224',
                                           'shape': 'oblong', 'color': 'white', 'drug_id': 119248,
                                           'canister_quantity': 2},
                {'drug_name': 'ALENDRONATE SODIUM', 'ndc': '69097022476', 'strength': 'mg',
                 'formatted_ndc': '690970224', 'txr': '46941', 'strength_value': '70', 'image_name': 'CIP02240.JPG',
                 'required_quantity': 2.0, 'imprint': 'C224', 'shape': 'oblong', 'color': 'white', 'drug_id': 119248,
                 'canister_quantity': 2},
                {'drug_name': 'OXYBUTYNIN CHLORIDE ER', 'ndc': '65162037150', 'strength': 'mg',
                 'formatted_ndc': '651620371', 'txr': '41046', 'strength_value': '5', 'image_name': 'AMN03710.JPG',
                 'required_quantity': 14.0, 'imprint': 'A 31', 'shape': 'round', 'color': 'purple', 'drug_id': 106806,
                 'canister_quantity': 1},
                {'drug_name': 'ISOSORBIDE MONONITRATE ER', 'ndc': '68382065105', 'strength': 'mg',
                 'formatted_ndc': '683820651', 'txr': '17297', 'strength_value': '60', 'image_name': None,
                 'required_quantity': 14.0, 'imprint': 'N 60', 'shape': 'oval', 'color': 'yellow', 'drug_id': 114571,
                 'canister_quantity': 2},
                {'drug_name': 'ISOSORBIDE MONONITRATE ER', 'ndc': '68382065105', 'strength': 'mg',
                 'formatted_ndc': '683820651', 'txr': '17297', 'strength_value': '60', 'image_name': None,
                 'required_quantity': 14.0, 'imprint': 'N 60', 'shape': 'oval', 'color': 'yellow', 'drug_id': 114571,
                 'canister_quantity': 2},
                {'drug_name': 'OLANZAPINE', 'ndc': '55111016330', 'strength': 'mg', 'formatted_ndc': '551110163',
                 'txr': '29077', 'strength_value': '2.5', 'image_name': 'DRR01630.JPG', 'required_quantity': 28.0,
                 'imprint': 'R 2.5 <> 0163', 'shape': 'oval', 'color': 'white', 'drug_id': 68285,
                 'canister_quantity': 1}, {'drug_name': 'ESCITALOPRAM OXALATE', 'ndc': '16729016817', 'strength': 'mg',
                                           'formatted_ndc': '167290168', 'txr': '51642', 'strength_value': '5',
                                           'image_name': 'ACI01680.JPG', 'required_quantity': 14.0, 'imprint': '5',
                                           'shape': 'round', 'color': 'white', 'drug_id': 32045,
                                           'canister_quantity': 2},
                {'drug_name': 'ESCITALOPRAM OXALATE', 'ndc': '16729016817', 'strength': 'mg',
                 'formatted_ndc': '167290168', 'txr': '51642', 'strength_value': '5', 'image_name': 'ACI01680.JPG',
                 'required_quantity': 14.0, 'imprint': '5', 'shape': 'round', 'color': 'white', 'drug_id': 32045,
                 'canister_quantity': 2},
                {'drug_name': 'AMANTADINE', 'ndc': '00591493005', 'strength': 'MG', 'formatted_ndc': '005914930',
                 'txr': '4575', 'strength_value': '100', 'image_name': 'ATE49300.JPG', 'required_quantity': 42.0,
                 'imprint': 'A973', 'shape': 'oblong', 'color': 'white', 'drug_id': 127582, 'canister_quantity': 1},
                {'drug_name': 'LISINOPRIL', 'ndc': '68180098003', 'strength': 'mg', 'formatted_ndc': '681800980',
                 'txr': '390', 'strength_value': '10', 'image_name': 'LUP05140.JPG', 'required_quantity': 14.0,
                 'imprint': 'LUPIN <> 10', 'shape': 'round', 'color': 'pink', 'drug_id': 126626,
                 'canister_quantity': 1}]

September_08 = [{'drug_name': 'FEROSUL', 'ndc': '00904759183', 'strength': '(65 mg iron)', 'formatted_ndc': '009047591',
                 'txr': '1645', 'strength_value': '325 mg', 'image_name': None, 'required_quantity': 140.0,
                 'imprint': None, 'shape': None, 'color': None, 'drug_id': 19030, 'canister_quantity': 1},
                {'drug_name': 'OYSTER SHELL CALCIUM', 'ndc': '00904188392', 'strength': '(1,250 mg)',
                 'formatted_ndc': '009041883', 'txr': '1340', 'strength_value': '500 mg calcium',
                 'image_name': 'ABC12345.JPG', 'required_quantity': 112.0, 'imprint': None, 'shape': 'oblong',
                 'color': 'light green', 'drug_id': 19938, 'canister_quantity': 1},
                {'drug_name': 'VITAMIN D', 'ndc': '00536379001', 'strength': 'unit', 'formatted_ndc': '005363790',
                 'txr': '64176', 'strength_value': '2,000', 'image_name': 'RUG37900.JPG', 'required_quantity': 98.0,
                 'imprint': None, 'shape': 'oval', 'color': 'yellow', 'drug_id': 13824, 'canister_quantity': 1},
                {'drug_name': 'ESCITALOPRAM OXALATE', 'ndc': '00378385693', 'strength': 'mg',
                 'formatted_ndc': '003783856', 'txr': '50712', 'strength_value': '10', 'image_name': 'MYN38560.JPG',
                 'required_quantity': 70.0, 'imprint': 'M <> EC 10', 'shape': 'round', 'color': 'white',
                 'drug_id': 11286, 'canister_quantity': 1},
                {'drug_name': 'OMEPRAZOLE', 'ndc': '60505006508', 'strength': 'mg', 'formatted_ndc': '605050065',
                 'txr': '33530', 'strength_value': '20', 'image_name': 'ATX00650.JPG', 'required_quantity': 42.0,
                 'imprint': 'APO <> 020', 'shape': 'oblong', 'color': 'pink', 'drug_id': 76420, 'canister_quantity': 1},
                {'drug_name': 'ARIPIPRAZOLE', 'ndc': '31722083030', 'strength': 'mg', 'formatted_ndc': '317220830',
                 'txr': '51336', 'strength_value': '30', 'image_name': 'CBR08300.JPG', 'required_quantity': 42.0,
                 'imprint': 'I <> 99', 'shape': 'round', 'color': 'light pink', 'drug_id': 111453,
                 'canister_quantity': 1},
                {'drug_name': 'MULTIVITAMINS', 'ndc': '00536404610', 'strength': '', 'formatted_ndc': '005364046',
                 'txr': '2532', 'strength_value': '', 'image_name': 'RUG40460.JPG', 'required_quantity': 42.0,
                 'imprint': None, 'shape': 'oval', 'color': 'red', 'drug_id': 127580, 'canister_quantity': 1},
                {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg',
                 'formatted_ndc': '690970128', 'txr': '16927', 'strength_value': '10', 'image_name': 'CIP01280.JPG',
                 'required_quantity': 42.0, 'imprint': '128 <> C', 'shape': 'round', 'color': 'white',
                 'drug_id': 112190, 'canister_quantity': 2},
                {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg',
                 'formatted_ndc': '690970128', 'txr': '16927', 'strength_value': '10', 'image_name': 'CIP01280.JPG',
                 'required_quantity': 42.0, 'imprint': '128 <> C', 'shape': 'round', 'color': 'white',
                 'drug_id': 112190, 'canister_quantity': 2},
                {'drug_name': 'HYDROCHLOROTHIAZIDE', 'ndc': '29300013010', 'strength': 'mg',
                 'formatted_ndc': '293000130', 'txr': '29832', 'strength_value': '12.5', 'image_name': 'UCP01300.JPG',
                 'required_quantity': 28.0, 'imprint': 'U <> 130', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 35464, 'canister_quantity': 2},
                {'drug_name': 'HYDROCHLOROTHIAZIDE', 'ndc': '29300013010', 'strength': 'mg',
                 'formatted_ndc': '293000130', 'txr': '29832', 'strength_value': '12.5', 'image_name': 'UCP01300.JPG',
                 'required_quantity': 28.0, 'imprint': 'U <> 130', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 35464, 'canister_quantity': 2},
                {'drug_name': 'FUROSEMIDE', 'ndc': '69315011710', 'strength': 'mg', 'formatted_ndc': '693150117',
                 'txr': '8209', 'strength_value': '40', 'image_name': 'AHP00160.JPG', 'required_quantity': 28.0,
                 'imprint': 'EP 117 <> 40', 'shape': 'round', 'color': 'white', 'drug_id': 117505,
                 'canister_quantity': 1}, {'drug_name': 'ATORVASTATIN CALCIUM', 'ndc': '00378395309', 'strength': 'mg',
                                           'formatted_ndc': '003783953', 'txr': '45772', 'strength_value': '80',
                                           'image_name': 'MYN39530.JPG', 'required_quantity': 28.0, 'imprint': '80',
                                           'shape': 'oval', 'color': 'white', 'drug_id': 122158,
                                           'canister_quantity': 2},
                {'drug_name': 'ATORVASTATIN CALCIUM', 'ndc': '00378395309', 'strength': 'mg',
                 'formatted_ndc': '003783953', 'txr': '45772', 'strength_value': '80', 'image_name': 'MYN39530.JPG',
                 'required_quantity': 28.0, 'imprint': '80', 'shape': 'oval', 'color': 'white', 'drug_id': 122158,
                 'canister_quantity': 2},
                {'drug_name': 'CLOPIDOGREL', 'ndc': '16729021816', 'strength': 'mg', 'formatted_ndc': '167290218',
                 'txr': '38164', 'strength_value': '75', 'image_name': 'ACI02180.JPG', 'required_quantity': 28.0,
                 'imprint': 'CI', 'shape': 'round', 'color': 'pink', 'drug_id': 32058, 'canister_quantity': 1},
                {'drug_name': 'SERTRALINE HCL', 'ndc': '68180035309', 'strength': 'mg', 'formatted_ndc': '681800353',
                 'txr': '46229', 'strength_value': '100', 'image_name': 'LUP03530.JPG', 'required_quantity': 28.0,
                 'imprint': 'L U <> D03', 'shape': 'oblong', 'color': 'yellow', 'drug_id': 95356,
                 'canister_quantity': 1}, {'drug_name': 'CARBIDOPA-LEVODOPA ER', 'ndc': '62756046188', 'strength': 'mg',
                                           'formatted_ndc': '627560461', 'txr': '19563', 'strength_value': '25-100',
                                           'image_name': 'SUN04610.JPG', 'required_quantity': 98.0, 'imprint': '461',
                                           'shape': 'oval', 'color': 'buff', 'drug_id': 79020, 'canister_quantity': 2},
                {'drug_name': 'CARBIDOPA-LEVODOPA ER', 'ndc': '62756046188', 'strength': 'mg',
                 'formatted_ndc': '627560461', 'txr': '19563', 'strength_value': '25-100', 'image_name': 'SUN04610.JPG',
                 'required_quantity': 98.0, 'imprint': '461', 'shape': 'oval', 'color': 'buff', 'drug_id': 79020,
                 'canister_quantity': 2}, {'drug_name': 'ALENDRONATE SODIUM', 'ndc': '69097022476', 'strength': 'mg',
                                           'formatted_ndc': '690970224', 'txr': '46941', 'strength_value': '70',
                                           'image_name': 'CIP02240.JPG', 'required_quantity': 2.0, 'imprint': 'C224',
                                           'shape': 'oblong', 'color': 'white', 'drug_id': 119248,
                                           'canister_quantity': 2},
                {'drug_name': 'ALENDRONATE SODIUM', 'ndc': '69097022476', 'strength': 'mg',
                 'formatted_ndc': '690970224', 'txr': '46941', 'strength_value': '70', 'image_name': 'CIP02240.JPG',
                 'required_quantity': 2.0, 'imprint': 'C224', 'shape': 'oblong', 'color': 'white', 'drug_id': 119248,
                 'canister_quantity': 2},
                {'drug_name': 'PHENYTOIN SODIUM EXTENDED', 'ndc': '65162021250', 'strength': 'mg',
                 'formatted_ndc': '651620212', 'txr': '4521', 'strength_value': '100', 'image_name': 'AMN02120.JPG',
                 'required_quantity': 35.0, 'imprint': 'IP 212 <> IP 212', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 84415, 'canister_quantity': 1},
                {'drug_name': 'HYDRALAZINE HCL', 'ndc': '31722052010', 'strength': 'mg', 'formatted_ndc': '317220520',
                 'txr': '286', 'strength_value': '25', 'image_name': 'CBR05200.JPG', 'required_quantity': 28.0,
                 'imprint': 'H <> 39', 'shape': 'round', 'color': 'orange', 'drug_id': 35848, 'canister_quantity': 1},
                {'drug_name': 'ISOSORBIDE MONONITRATE ER', 'ndc': '68382065105', 'strength': 'mg',
                 'formatted_ndc': '683820651', 'txr': '17297', 'strength_value': '60', 'image_name': None,
                 'required_quantity': 14.0, 'imprint': 'N 60', 'shape': 'oval', 'color': 'yellow', 'drug_id': 114571,
                 'canister_quantity': 2},
                {'drug_name': 'ISOSORBIDE MONONITRATE ER', 'ndc': '68382065105', 'strength': 'mg',
                 'formatted_ndc': '683820651', 'txr': '17297', 'strength_value': '60', 'image_name': None,
                 'required_quantity': 14.0, 'imprint': 'N 60', 'shape': 'oval', 'color': 'yellow', 'drug_id': 114571,
                 'canister_quantity': 2},
                {'drug_name': 'VITAMIN D3', 'ndc': '74312001140', 'strength': 'unit', 'formatted_ndc': '743120011',
                 'txr': '19166', 'strength_value': '400', 'image_name': 'NAT00110.JPG', 'required_quantity': 14.0,
                 'imprint': None, 'shape': 'round', 'color': 'white', 'drug_id': 94568, 'canister_quantity': 1},
                {'drug_name': 'QUETIAPINE FUMARATE ER', 'ndc': '68180061607', 'strength': 'MG',
                 'formatted_ndc': '681800616', 'txr': '62750', 'strength_value': '400', 'image_name': None,
                 'required_quantity': 14.0, 'imprint': 'LU <> K75', 'shape': 'oblong', 'color': 'white',
                 'drug_id': 127609, 'canister_quantity': 1},
                {'drug_name': 'OLANZAPINE', 'ndc': '55111016330', 'strength': 'mg', 'formatted_ndc': '551110163',
                 'txr': '29077', 'strength_value': '2.5', 'image_name': 'DRR01630.JPG', 'required_quantity': 28.0,
                 'imprint': 'R 2.5 <> 0163', 'shape': 'oval', 'color': 'white', 'drug_id': 68285,
                 'canister_quantity': 1}, {'drug_name': 'CARBIDOPA-LEVODOPA', 'ndc': '62756051888', 'strength': 'mg',
                                           'formatted_ndc': '627560518', 'txr': '2538', 'strength_value': '25-100',
                                           'image_name': 'SUN05180.JPG', 'required_quantity': 70.0, 'imprint': '518',
                                           'shape': 'oval', 'color': 'yellow', 'drug_id': 79030,
                                           'canister_quantity': 1},
                {'drug_name': 'BACLOFEN', 'ndc': '00172409680', 'strength': 'mg', 'formatted_ndc': '001724096',
                 'txr': '4679', 'strength_value': '10', 'image_name': 'TEV40960.JPG', 'required_quantity': 14.0,
                 'imprint': 'TV <> 4096', 'shape': 'round', 'color': 'white', 'drug_id': 7482, 'canister_quantity': 1},
                {'drug_name': 'METFORMIN HCL', 'ndc': '23155010306', 'strength': 'mg', 'formatted_ndc': '231550103',
                 'txr': '16441', 'strength_value': '850', 'image_name': 'HER01030.JPG', 'required_quantity': 42.0,
                 'imprint': 'H 103', 'shape': 'round', 'color': 'white', 'drug_id': 114635, 'canister_quantity': 1},
                {'drug_name': 'BUSPIRONE HCL', 'ndc': '16729028912', 'strength': 'mg', 'formatted_ndc': '167290289',
                 'txr': '44210', 'strength_value': '30', 'image_name': None, 'required_quantity': 28.0,
                 'imprint': 'B 8', 'shape': 'rectangular', 'color': 'white', 'drug_id': 124091, 'canister_quantity': 1},
                {'drug_name': 'PHENOBARBITAL', 'ndc': '00143145501', 'strength': 'mg', 'formatted_ndc': '001431455',
                 'txr': '3591', 'strength_value': '60', 'image_name': 'WWW14550.JPG', 'required_quantity': 14.0,
                 'imprint': 'WW 455', 'shape': 'round', 'color': 'white', 'drug_id': 115889, 'canister_quantity': 2},
                {'drug_name': 'PHENOBARBITAL', 'ndc': '00143145501', 'strength': 'mg', 'formatted_ndc': '001431455',
                 'txr': '3591', 'strength_value': '60', 'image_name': 'WWW14550.JPG', 'required_quantity': 14.0,
                 'imprint': 'WW 455', 'shape': 'round', 'color': 'white', 'drug_id': 115889, 'canister_quantity': 2},
                {'drug_name': 'OXYBUTYNIN CHLORIDE ER', 'ndc': '65162037150', 'strength': 'mg',
                 'formatted_ndc': '651620371', 'txr': '41046', 'strength_value': '5', 'image_name': 'AMN03710.JPG',
                 'required_quantity': 14.0, 'imprint': 'A 31', 'shape': 'round', 'color': 'purple', 'drug_id': 106806,
                 'canister_quantity': 1}, {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00781518192', 'strength': 'mcg',
                                           'formatted_ndc': '007815181', 'txr': '6649', 'strength_value': '50',
                                           'image_name': 'SDZ51810.JPG', 'required_quantity': 14.0,
                                           'imprint': '50 <> GG 332', 'shape': 'oblong', 'color': 'white',
                                           'drug_id': 18235, 'canister_quantity': 1},
                {'drug_name': 'OXCARBAZEPINE', 'ndc': '51991029305', 'strength': 'mg', 'formatted_ndc': '519910293',
                 'txr': '27779', 'strength_value': '300', 'image_name': 'BKR02930.JPG', 'required_quantity': 28.0,
                 'imprint': 'B 293', 'shape': 'oval', 'color': 'beige', 'drug_id': 56739, 'canister_quantity': 1},
                {'drug_name': 'ESCITALOPRAM OXALATE', 'ndc': '16729016817', 'strength': 'mg',
                 'formatted_ndc': '167290168', 'txr': '51642', 'strength_value': '5', 'image_name': 'ACI01680.JPG',
                 'required_quantity': 14.0, 'imprint': '5', 'shape': 'round', 'color': 'white', 'drug_id': 32045,
                 'canister_quantity': 2}, {'drug_name': 'ESCITALOPRAM OXALATE', 'ndc': '16729016817', 'strength': 'mg',
                                           'formatted_ndc': '167290168', 'txr': '51642', 'strength_value': '5',
                                           'image_name': 'ACI01680.JPG', 'required_quantity': 14.0, 'imprint': '5',
                                           'shape': 'round', 'color': 'white', 'drug_id': 32045,
                                           'canister_quantity': 2},
                {'drug_name': 'AMANTADINE', 'ndc': '00591493005', 'strength': 'MG', 'formatted_ndc': '005914930',
                 'txr': '4575', 'strength_value': '100', 'image_name': 'ATE49300.JPG', 'required_quantity': 42.0,
                 'imprint': 'A973', 'shape': 'oblong', 'color': 'white', 'drug_id': 127582, 'canister_quantity': 1},
                {'drug_name': 'LISINOPRIL', 'ndc': '68180098003', 'strength': 'mg', 'formatted_ndc': '681800980',
                 'txr': '390', 'strength_value': '10', 'image_name': 'LUP05140.JPG', 'required_quantity': 14.0,
                 'imprint': 'LUPIN <> 10', 'shape': 'round', 'color': 'pink', 'drug_id': 126626,
                 'canister_quantity': 1},
                {'drug_name': 'ZIPRASIDONE HCL', 'ndc': '55111025960', 'strength': 'mg', 'formatted_ndc': '551110259',
                 'txr': '47568', 'strength_value': '80', 'image_name': 'DRR02590.JPG', 'required_quantity': 28.0,
                 'imprint': 'RDY <> 259', 'shape': 'oblong', 'color': 'peach', 'drug_id': 68380,
                 'canister_quantity': 1}]

September_07 = [
    {'drug_name': 'MULTIVITAMINS', 'ndc': '00536404610', 'strength': '', 'formatted_ndc': '005364046', 'txr': '2532',
     'strength_value': '', 'image_name': 'RUG40460.JPG', 'required_quantity': 140.0, 'imprint': None, 'shape': 'oval',
     'color': 'red', 'drug_id': 127580, 'canister_quantity': 1},
    {'drug_name': 'FEROSUL', 'ndc': '00904759183', 'strength': '(65 mg iron)', 'formatted_ndc': '009047591',
     'txr': '1645', 'strength_value': '325 mg', 'image_name': None, 'required_quantity': 196.0, 'imprint': None,
     'shape': None, 'color': None, 'drug_id': 19030, 'canister_quantity': 1},
    {'drug_name': 'OMEPRAZOLE', 'ndc': '60505006508', 'strength': 'mg', 'formatted_ndc': '605050065', 'txr': '33530',
     'strength_value': '20', 'image_name': 'ATX00650.JPG', 'required_quantity': 84.0, 'imprint': 'APO <> 020',
     'shape': 'oblong', 'color': 'pink', 'drug_id': 76420, 'canister_quantity': 1},
    {'drug_name': 'OYSTER SHELL CALCIUM', 'ndc': '00904188392', 'strength': '(1,250 mg)', 'formatted_ndc': '009041883',
     'txr': '1340', 'strength_value': '500 mg calcium', 'image_name': 'ABC12345.JPG', 'required_quantity': 112.0,
     'imprint': None, 'shape': 'oblong', 'color': 'light green', 'drug_id': 19938, 'canister_quantity': 1},
    {'drug_name': 'TAMSULOSIN HCL', 'ndc': '57237001405', 'strength': 'mg', 'formatted_ndc': '572370014',
     'txr': '27546', 'strength_value': '0.4', 'image_name': 'AUR05980.JPG', 'required_quantity': 56.0,
     'imprint': 'D <> 53', 'shape': 'oblong', 'color': 'orange', 'drug_id': 106426, 'canister_quantity': 1},
    {'drug_name': 'SENNA LAXATIVE', 'ndc': '49781014851', 'strength': 'MG', 'formatted_ndc': '497810148',
     'txr': '19964', 'strength_value': '8.6', 'image_name': 'ABC00463.JPG', 'required_quantity': 84.0,
     'imprint': 'TCL 080', 'shape': 'round', 'color': 'light brown', 'drug_id': 127581, 'canister_quantity': 1},
    {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00781518192', 'strength': 'mcg', 'formatted_ndc': '007815181',
     'txr': '6649', 'strength_value': '50', 'image_name': 'SDZ51810.JPG', 'required_quantity': 56.0,
     'imprint': '50 <> GG 332', 'shape': 'oblong', 'color': 'white', 'drug_id': 18235, 'canister_quantity': 1},
    {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg', 'formatted_ndc': '690970128',
     'txr': '16927', 'strength_value': '10', 'image_name': 'CIP01280.JPG', 'required_quantity': 42.0,
     'imprint': '128 <> C', 'shape': 'round', 'color': 'white', 'drug_id': 112190, 'canister_quantity': 2},
    {'drug_name': 'AMLODIPINE BESYLATE', 'ndc': '69097012815', 'strength': 'mg', 'formatted_ndc': '690970128',
     'txr': '16927', 'strength_value': '10', 'image_name': 'CIP01280.JPG', 'required_quantity': 42.0,
     'imprint': '128 <> C', 'shape': 'round', 'color': 'white', 'drug_id': 112190, 'canister_quantity': 2},
    {'drug_name': 'LORAZEPAM', 'ndc': '69315090510', 'strength': 'mg', 'formatted_ndc': '693150905', 'txr': '3758',
     'strength_value': '1', 'image_name': 'MJR60080.JPG', 'required_quantity': 70.0, 'imprint': 'EP 905 <> 1',
     'shape': 'round', 'color': 'white', 'drug_id': 117527, 'canister_quantity': 1},
    {'drug_name': 'METOPROLOL SUCCINATE', 'ndc': '62037083010', 'strength': 'mg', 'formatted_ndc': '620370830',
     'txr': '47586', 'strength_value': '25', 'image_name': 'SDZ08300.JPG', 'required_quantity': 28.0,
     'imprint': 'logo and M', 'shape': 'oblong', 'color': 'white', 'drug_id': 78579, 'canister_quantity': 1},
    {'drug_name': 'FLUOXETINE HCL', 'ndc': '00781282310', 'strength': 'mg', 'formatted_ndc': '007812823',
     'txr': '46213', 'strength_value': '10', 'image_name': 'GGG28230.JPG', 'required_quantity': 70.0,
     'imprint': 'GG 575 <> GG 575', 'shape': 'oblong', 'color': 'white', 'drug_id': 18023, 'canister_quantity': 1},
    {'drug_name': 'LORAZEPAM', 'ndc': '69315090410', 'strength': 'mg', 'formatted_ndc': '693150904', 'txr': '3757',
     'strength_value': '0.5', 'image_name': 'MJR60070.JPG', 'required_quantity': 98.0, 'imprint': 'EP 904',
     'shape': 'round', 'color': 'white', 'drug_id': 117524, 'canister_quantity': 1},
    {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '67877024633', 'strength': 'mg', 'formatted_ndc': '678770246',
     'txr': '34189', 'strength_value': '200', 'image_name': None, 'required_quantity': 126.0, 'imprint': '260',
     'shape': 'round', 'color': 'white', 'drug_id': 119071, 'canister_quantity': 1},
    {'drug_name': 'QUETIAPINE FUMARATE', 'ndc': '67877024710', 'strength': 'mg', 'formatted_ndc': '678770247',
     'txr': '47198', 'strength_value': '300', 'image_name': 'ASC02470.JPG', 'required_quantity': 42.0, 'imprint': '259',
     'shape': 'oblong', 'color': 'white', 'drug_id': 118893, 'canister_quantity': 1},
    {'drug_name': 'POTASSIUM CHLORIDE', 'ndc': '00781572010', 'strength': 'mEq', 'formatted_ndc': '007815720',
     'txr': '22346', 'strength_value': '20', 'image_name': 'TEV53110.JPG', 'required_quantity': 42.0,
     'imprint': 'US 20', 'shape': 'oblong', 'color': 'white', 'drug_id': 18394, 'canister_quantity': 1},
    {'drug_name': 'LEVOTHYROXINE SODIUM', 'ndc': '00527134110', 'strength': 'mcg', 'formatted_ndc': '005271341',
     'txr': '6648', 'strength_value': '25', 'image_name': 'WTS09020.JPG', 'required_quantity': 28.0,
     'imprint': 'JSP <> 513', 'shape': 'round', 'color': 'peach', 'drug_id': 13581, 'canister_quantity': 1},
    {'drug_name': 'OMEPRAZOLE', 'ndc': '60505014609', 'strength': 'mg', 'formatted_ndc': '605050146', 'txr': '43137',
     'strength_value': '40', 'image_name': 'ATX01460.JPG', 'required_quantity': 28.0, 'imprint': 'APO <> 040',
     'shape': 'oblong', 'color': 'pink', 'drug_id': 160449, 'canister_quantity': 1},
    {'drug_name': 'CALCIUM 600 + VIT D', 'ndc': '00904585692', 'strength': '-200 unit', 'formatted_ndc': '009045856',
     'txr': '43733', 'strength_value': '600 mg(1,500mg)', 'image_name': 'CYP01210.JPG', 'required_quantity': 28.0,
     'imprint': None, 'shape': 'oblong', 'color': 'peach', 'drug_id': 18868, 'canister_quantity': 2},
    {'drug_name': 'CALCIUM 600 + VIT D', 'ndc': '00904585692', 'strength': '-200 unit', 'formatted_ndc': '009045856',
     'txr': '43733', 'strength_value': '600 mg(1,500mg)', 'image_name': 'CYP01210.JPG', 'required_quantity': 28.0,
     'imprint': None, 'shape': 'oblong', 'color': 'peach', 'drug_id': 18868, 'canister_quantity': 2},
    {'drug_name': 'HYDROXYZINE HCL', 'ndc': '10702001150', 'strength': 'mg', 'formatted_ndc': '107020011',
     'txr': '3728', 'strength_value': '25', 'image_name': 'KVK00110.JPG', 'required_quantity': 42.0, 'imprint': 'K11',
     'shape': 'round', 'color': 'white', 'drug_id': 26592, 'canister_quantity': 2},
    {'drug_name': 'HYDROXYZINE HCL', 'ndc': '10702001150', 'strength': 'mg', 'formatted_ndc': '107020011',
     'txr': '3728', 'strength_value': '25', 'image_name': 'KVK00110.JPG', 'required_quantity': 42.0, 'imprint': 'K11',
     'shape': 'round', 'color': 'white', 'drug_id': 26592, 'canister_quantity': 2},
    {'drug_name': 'BACLOFEN', 'ndc': '00603240732', 'strength': 'mg', 'formatted_ndc': '006032407', 'txr': '4680',
     'strength_value': '20', 'image_name': 'QLT24070.JPG', 'required_quantity': 28.0, 'imprint': 'V <> 22 66',
     'shape': 'oblong', 'color': 'off-white', 'drug_id': 15481, 'canister_quantity': 1},
    {'drug_name': 'DIVALPROEX SODIUM ER', 'ndc': '65162075750', 'strength': 'mg', 'formatted_ndc': '651620757',
     'txr': '46315', 'strength_value': '500', 'image_name': 'AMN07570.JPG', 'required_quantity': 168.0,
     'imprint': 'AN 757', 'shape': 'oblong', 'color': 'white', 'drug_id': 118882, 'canister_quantity': 1}]

names = ['September_07', 'September_08', 'September_09', 'September_11', 'September_12', 'September_13', 'September_14',
         'September_16', 'September_17', 'September_18', 'September_19']

for num,date in enumerate([September_07, September_08, September_09, September_11, September_12, September_13, September_14,
          September_16, September_17, September_18, September_19]):
    date_name = names[num]
    file_name = date_name+'.csv'
    with open(file_name, 'wb') as output:
        writer = csv.writer(output)
        for drug_entry in date:
            drug_row = [drug_entry["drug_name"], drug_entry["formatted_ndc"], drug_entry["canister_quantity"]]
            writer.writerow(drug_row)
